#include "badguycontroller.h"

void 
BadGuyController::update()
	{
	if( (float)(rand() / (RAND_MAX+1.0)) > 
				(BADGUY_THRESH - (frame * BADGUY_HARDER)) )
		{
		printf("adding bad guy, probability: %f\n", BADGUY_THRESH - (frame * BADGUY_HARDER) );
		currentId = (currentId + 1) % MAX_BAD_GUYS;
		if ( badGuys[currentId] != NULL )
			{
			//printf("id: %d\n", currentId);
			tunnelQueue->deQueue( badGuyIds[ currentId ] );
			delete badGuys[ currentId ];
			badGuys[ currentId ] = NULL;
			}
		float angle = (float)(rand() / (RAND_MAX+1.0)) * 2 * M_PI;
		float radius = 2.1;

		if ( (float)(rand() / (RAND_MAX+1.0)) < 0.5 )
			{
			badGuys[ currentId ] = new Monster0( this, 
					sin(angle)*radius, 
					cos(angle)*radius, 
					(-1*tunnelQueue->getZMove()) - 20 );
			}
		else
			{
			badGuys[ currentId ] = new Monster1( this, 
					sin(angle)*radius, 
					cos(angle)*radius, 
					(-1*tunnelQueue->getZMove()) - 20 );
			}		
				
		//printf("zmove: %f x: %f y: %f\n", (-1*tunnelQueue->getZMove()) - 20,
		//		sin(angle)*radius, cos(angle)*radius);
		badGuyIds[ currentId ] = tunnelQueue->queue( badGuys[ currentId ] );
		//badGuys[ currentId ]->setIdnum( currentId );
		}	
	}
