//
// OpenGL C Code file: H:\487proj\batwing.c
//
// Converted by the PolyTrans geometry converter from Okino Computer Graphics, Inc.
// Date/time of export: 12/14/1999 21:43:44
//
// Bounding box of geometry = (-45.7263,-1.97617,-21.0403) to (45.6558,4.57321,28.2988).

#include "H:\487proj\batwing.h"

// This is a general routine to make a new material active
void OGL_Set_Current_Material_Parameters(float shininess, float r_diffuseColor, float g_diffuseColor, float b_diffuseColor, float r_specularColor, float g_specularColor, float b_specularColor)
{
	GLfloat glfModelSpecular[4];

	// This causes the polygon's ambient & diffuse colors to be derived from the glColor() value.
	glColorMaterial(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE);
	glMaterialf(GL_FRONT_AND_BACK, GL_SHININESS, shininess);
	/* Set the specular shading color. */
	glfModelSpecular[0] = r_specularColor;
	glfModelSpecular[1] = g_specularColor;
	glfModelSpecular[2] = b_specularColor;
	glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, glfModelSpecular);
	glColor3f(r_diffuseColor, g_diffuseColor, b_diffuseColor);
}

// Please replace this routine with one of your own which will load in the
// requested texture map and make it current within the OpenGL context.
// If the texture map name is NULL then disable texture mapping.
void OGL_Set_Current_Texture_Map(char *texture_map_name, float u_scale, float v_scale, float u_offset, float v_offset)
{
}

// Camera parameters:
//	Look-from = (121.452, 92.4136, 125.116)
//	Look-at = (-0.0352478, 1.29852, 3.62923)
//	Look-up = (0, 1, 0)
//	Clipping, near = 0.01, far = 1e+006
//	Field-of-view = 0.489957, image-aspect-ratio = 1.33333
//	Window size = (0.666667, 0.5), focal-distance = 10

// Current light source name = "defaultambient"
//	Light = Ambient
//	color = (1, 1, 1)
//	intensity = 1

// Polygons for object 'ICP7' (692 polygons)

	void
ICP7()
{
	// Material attributes for surface 'icp7 blue 0'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.0199203f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	OGL_Set_Current_Texture_Map("", 1.0, 1.0, 0.0, 0.0); // Disable last texture map output

	// Polygon # 0
	glBegin(GL_TRIANGLES);
		glVertex3f(2.87552f, 0.507813f, 6.07422f);
		glVertex3f(2.87552f, 0.507813f, 11.9231f);
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		// Polygon # 1
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		glVertex3f(2.87552f, 0.507813f, 11.9231f);
		glVertex3f(4.32678f, -1.06552f, 11.9231f);
		// Polygon # 2
		glVertex3f(2.87552f, 0.507813f, 11.9231f);
		glVertex3f(2.87552f, -1.06552f, 16.9551f);
		glVertex3f(1.42426f, -1.06552f, 21.9872f);
		// Polygon # 3
		glVertex3f(2.87552f, 0.507813f, 11.9231f);
		glVertex3f(1.42426f, 0.244293f, 18.0879f);
		glVertex3f(1.42426f, -1.06552f, 21.9872f);
		// Polygon # 4
		glVertex3f(4.32678f, -1.06552f, 11.9231f);
		glVertex3f(2.87552f, 0.507813f, 11.9231f);
		glVertex3f(2.87552f, -1.06552f, 16.9551f);
		// Polygon # 5
		glVertex3f(0.698700f, 3.82248f, -0.749359f);
		glVertex3f(2.87552f, 0.507813f, 6.07422f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		// Polygon # 6
		glVertex3f(0.698700f, 3.82248f, -0.749359f);
		glVertex3f(2.87552f, 0.507813f, 6.07422f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		// Polygon # 7
		glVertex3f(1.06140f, 3.99994f, 2.66235f);
		glVertex3f(1.42426f, 4.17755f, 6.07422f);
		glVertex3f(2.87552f, 0.507813f, 6.07422f);
		// Polygon # 8
		glVertex3f(0.698700f, 3.82248f, -0.749359f);
		glVertex3f(1.06140f, 3.99994f, 2.66235f);
		glVertex3f(2.87552f, 0.507813f, 6.07422f);
		// Polygon # 9
		glVertex3f(6.05515f, -1.06552f, 7.04895f);
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		glVertex3f(4.32678f, -1.06552f, 11.9231f);
		// Polygon # 10
		glVertex3f(6.05515f, -1.06552f, 7.04895f);
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		// Polygon # 11
		glVertex3f(6.05515f, -1.06552f, 7.04895f);
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		// Polygon # 12
		glVertex3f(6.05515f, -1.06552f, 7.04895f);
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		glVertex3f(6.05484f, -1.06552f, 9.77737f);
		// Polygon # 13
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		// Polygon # 14
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		// Polygon # 15
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		// Polygon # 16
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		glVertex3f(4.32678f, -1.06552f, 7.04895f);
		// Polygon # 17
		glVertex3f(6.05515f, -1.06552f, 7.04895f);
		glVertex3f(6.05484f, -1.06552f, 9.77737f);
		glVertex3f(4.32678f, -1.06552f, 11.9231f);
		// Polygon # 18
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		glVertex3f(6.05515f, -1.06552f, 7.04895f);
		// Polygon # 19
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		glVertex3f(8.76633f, -1.06552f, 6.40610f);
		glVertex3f(6.05515f, -1.06552f, 7.04895f);
		// Polygon # 20
		glVertex3f(7.95349f, -1.06552f, 8.46756f);
		glVertex3f(6.05515f, -1.06552f, 7.04895f);
		glVertex3f(6.05484f, -1.06552f, 9.77737f);
		// Polygon # 21
		glVertex3f(-0.0268555f, 2.18018f, -8.54752f);
		glVertex3f(1.42426f, -1.06552f, -8.54752f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		// Polygon # 22
		glVertex3f(-0.0268555f, 2.18018f, -8.54752f);
		glVertex3f(0.698700f, 3.82248f, -0.749359f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		// Polygon # 23
		glVertex3f(4.37500f, -1.06552f, -8.54752f);
		glVertex3f(1.42426f, -1.06552f, -8.54752f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		// Polygon # 24
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		glVertex3f(4.37500f, -1.06552f, -8.54752f);
		glVertex3f(2.87552f, -1.06552f, -0.708771f);
		// Polygon # 25
		glVertex3f(-0.0399780f, -1.14670f, -21.0403f);
		glVertex3f(-0.0268555f, 2.18018f, -8.54752f);
		glVertex3f(0.692139f, -1.33026f, -15.0333f);
		// Polygon # 26
		glVertex3f(-0.0399780f, -1.14670f, -21.0403f);
		glVertex3f(-0.0268555f, 2.18018f, -8.54752f);
		glVertex3f(-0.762634f, -1.33026f, -15.0333f);
		// Polygon # 27
		glVertex3f(-0.0268555f, 2.18018f, -8.54752f);
		glVertex3f(-1.49475f, -1.06552f, -8.54752f);
		glVertex3f(-2.94601f, -1.06552f, -0.708771f);
		// Polygon # 28
		glVertex3f(-0.0268555f, 2.18018f, -8.54752f);
		glVertex3f(-0.769196f, 3.82248f, -0.749359f);
		glVertex3f(-2.94601f, -1.06552f, -0.708771f);
		// Polygon # 29
		glVertex3f(0.698700f, 3.82248f, -0.749359f);
		glVertex3f(-0.0268555f, 2.18018f, -8.54752f);
		glVertex3f(-0.0352478f, 4.21814f, -0.749359f);
		// Polygon # 30
		glVertex3f(-0.0268555f, 2.18018f, -8.54752f);
		glVertex3f(-0.0352478f, 4.21814f, -0.749359f);
		glVertex3f(-0.769196f, 3.82248f, -0.749359f);
		// Polygon # 31
		glVertex3f(6.44073f, -1.74057f, -9.57703f);
		glVertex3f(2.61658f, -1.40305f, -10.6763f);
		glVertex3f(4.37500f, -1.06552f, -8.54752f);
		// Polygon # 32
		glVertex3f(6.44073f, -1.74057f, -9.57703f);
		glVertex3f(4.37500f, -1.06552f, -8.54752f);
		glVertex3f(7.76276f, -1.06552f, -7.80075f);
		// Polygon # 33
		glVertex3f(7.76276f, -1.06552f, -7.80075f);
		glVertex3f(4.37500f, -1.06552f, -8.54752f);
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
	glEnd();

	// Material attributes for surface 'icp7 greenish b'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.705882f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 34
	glBegin(GL_TRIANGLES);
		glVertex3f(2.87552f, 0.507813f, 6.07422f);
		glVertex3f(1.42426f, 2.62939f, 13.1590f);
		glVertex3f(2.87552f, 0.507813f, 11.9231f);
		// Polygon # 35
		glVertex3f(2.87552f, 0.507813f, 11.9231f);
		glVertex3f(1.42426f, 1.43677f, 15.6235f);
		glVertex3f(1.42426f, 0.244293f, 18.0879f);
		// Polygon # 36
		glVertex3f(1.42426f, 2.62939f, 13.1590f);
		glVertex3f(1.42426f, 1.43677f, 15.6235f);
		glVertex3f(2.87552f, 0.507813f, 11.9231f);
		// Polygon # 37
		glVertex3f(1.42426f, 4.17755f, 6.07422f);
		glVertex3f(1.42426f, 3.40347f, 9.61655f);
		glVertex3f(2.87552f, 0.507813f, 6.07422f);
	glEnd();

	// Material attributes for surface 'icp7 blue 0'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.0199203f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 38
	glBegin(GL_TRIANGLES);
		glVertex3f(2.98401f, 0.507813f, 11.6150f);
		glVertex3f(1.47858f, 2.68463f, 13.1383f);
		glVertex3f(2.98401f, 0.507813f, 11.9231f);
		// Polygon # 39
		glVertex3f(1.47858f, 2.71362f, 12.9712f);
		glVertex3f(1.47858f, 2.68463f, 13.1383f);
		glVertex3f(2.98401f, 0.507813f, 11.6150f);
		// Polygon # 40
		glVertex3f(1.47858f, 2.74261f, 12.8043f);
		glVertex3f(1.47858f, 2.71362f, 12.9712f);
		glVertex3f(2.98401f, 0.507813f, 11.6150f);
		// Polygon # 41
		glVertex3f(-0.0399780f, -1.14670f, -21.0403f);
		glVertex3f(-0.0607300f, -1.74057f, -21.0362f);
		glVertex3f(-2.01477f, -1.74057f, -16.0284f);
		// Polygon # 42
		glVertex3f(24.9280f, -1.74545f, 25.2417f);
		glVertex3f(21.6295f, -1.74057f, 25.0160f);
		glVertex3f(20.7071f, -1.74545f, 26.4497f);
		// Polygon # 43
		glVertex3f(30.1913f, -1.75049f, -19.0962f);
		glVertex3f(26.5921f, -1.73569f, -20.6802f);
		glVertex3f(28.9081f, -1.74057f, -17.8329f);
		// Polygon # 44
		glVertex3f(7.05734f, -1.74057f, 17.4918f);
		glVertex3f(6.61011f, -1.73798f, 20.8833f);
		glVertex3f(6.90689f, -1.75049f, 21.7929f);
		// Polygon # 45
		glVertex3f(7.68402f, -1.74057f, 14.2685f);
		glVertex3f(6.61011f, -1.73798f, 17.3936f);
		glVertex3f(7.05734f, -1.74057f, 17.4918f);
		// Polygon # 46
		glVertex3f(6.84845f, -1.16287f, 14.9509f);
		glVertex3f(6.84845f, -1.16287f, 17.3936f);
		glVertex3f(7.05734f, -1.74057f, 17.4918f);
		// Polygon # 47
		glVertex3f(6.84845f, -1.16287f, 17.3936f);
		glVertex3f(6.61011f, -1.73798f, 20.8833f);
		glVertex3f(7.05734f, -1.74057f, 17.4918f);
		// Polygon # 48
		glVertex3f(6.84845f, -1.16287f, 17.3936f);
		glVertex3f(6.61011f, -1.73798f, 17.3936f);
		glVertex3f(7.05734f, -1.74057f, 17.4918f);
		// Polygon # 49
		glVertex3f(6.90689f, -1.75049f, 21.7929f);
		glVertex3f(6.61011f, -1.73798f, 20.8833f);
		glVertex3f(6.46622f, -1.59409f, 23.9368f);
		// Polygon # 50
		glVertex3f(16.2619f, -1.06552f, -8.19183f);
		glVertex3f(16.0503f, -1.74057f, -9.58191f);
		glVertex3f(14.6567f, -1.74545f, -8.14331f);
		// Polygon # 51
		glVertex3f(16.9775f, -1.73569f, -12.4492f);
		glVertex3f(17.2412f, -1.06552f, -11.7612f);
		glVertex3f(16.0503f, -1.74057f, -9.58191f);
		// Polygon # 52
		glVertex3f(17.2412f, -1.06552f, -11.7612f);
		glVertex3f(16.2619f, -1.06552f, -8.19183f);
		glVertex3f(16.0503f, -1.74057f, -9.58191f);
		// Polygon # 53
		glVertex3f(16.2619f, -1.06552f, -8.19183f);
		glVertex3f(14.6567f, -1.74545f, -8.14331f);
		glVertex3f(14.2188f, -1.06552f, -7.01172f);
		// Polygon # 54
		glVertex3f(12.6366f, -1.74057f, -7.43652f);
		glVertex3f(10.0148f, -1.74057f, -7.42142f);
		glVertex3f(11.2579f, -1.06552f, -6.69250f);
		// Polygon # 55
		glVertex3f(14.2188f, -1.06552f, -7.01172f);
		glVertex3f(12.7682f, -1.06552f, -6.79321f);
		glVertex3f(12.6366f, -1.74057f, -7.43652f);
		// Polygon # 56
		glVertex3f(12.7682f, -1.06552f, -6.79321f);
		glVertex3f(11.2579f, -1.06552f, -6.69250f);
		glVertex3f(12.6366f, -1.74057f, -7.43652f);
		// Polygon # 57
		glVertex3f(10.0148f, -1.74057f, -7.42142f);
		glVertex3f(7.76276f, -1.06552f, -7.80075f);
		glVertex3f(9.70459f, -1.06552f, -6.69250f);
		// Polygon # 58
		glVertex3f(11.2579f, -1.06552f, -6.69250f);
		glVertex3f(10.0148f, -1.74057f, -7.42142f);
		glVertex3f(9.70459f, -1.06552f, -6.69250f);
		// Polygon # 59
		glVertex3f(32.5050f, -1.06552f, -12.6091f);
		glVertex3f(30.1563f, -1.74057f, -15.3065f);
		glVertex3f(30.4671f, -1.73569f, -12.4544f);
		// Polygon # 60
		glVertex3f(32.1248f, -1.06552f, -16.0919f);
		glVertex3f(28.9081f, -1.74057f, -17.8329f);
		glVertex3f(30.1563f, -1.74057f, -15.3065f);
		// Polygon # 61
		glVertex3f(30.4671f, -1.73569f, -12.4544f);
		glVertex3f(29.2188f, -1.74057f, -9.57703f);
		glVertex3f(31.0841f, -1.06552f, -8.78998f);
		// Polygon # 62
		glVertex3f(29.2188f, -1.74057f, -9.57703f);
		glVertex3f(27.5145f, -1.74057f, -8.51425f);
		glVertex3f(28.0701f, -1.06552f, -7.18185f);
		// Polygon # 63
		glVertex3f(31.0841f, -1.06552f, -8.78998f);
		glVertex3f(29.2188f, -1.74057f, -9.57703f);
		glVertex3f(28.0701f, -1.06552f, -7.18185f);
		// Polygon # 64
		glVertex3f(3.80905f, -1.74057f, -12.8052f);
		glVertex3f(1.94427f, -1.74057f, -16.0284f);
		glVertex3f(2.61658f, -1.40305f, -10.6763f);
		// Polygon # 65
		glVertex3f(32.5050f, -1.06552f, -12.6091f);
		glVertex3f(30.4671f, -1.73569f, -12.4544f);
		glVertex3f(31.0841f, -1.06552f, -8.78998f);
		// Polygon # 66
		glVertex3f(22.0956f, -1.74057f, -8.51425f);
		glVertex3f(19.3034f, -1.74545f, -9.94781f);
		glVertex3f(19.3416f, -1.06552f, -8.25180f);
		// Polygon # 67
		glVertex3f(16.9775f, -1.73569f, -12.4492f);
		glVertex3f(17.2412f, -1.06552f, -11.7612f);
		glVertex3f(19.3034f, -1.74545f, -9.94781f);
		// Polygon # 68
		glVertex3f(18.1360f, -1.06552f, -10.3624f);
		glVertex3f(17.2412f, -1.06552f, -11.7612f);
		glVertex3f(19.3034f, -1.74545f, -9.94781f);
		// Polygon # 69
		glVertex3f(27.5145f, -1.74057f, -8.51425f);
		glVertex3f(24.4167f, -1.74545f, -8.15323f);
		glVertex3f(24.4102f, -1.06552f, -6.57883f);
		// Polygon # 70
		glVertex3f(28.0701f, -1.06552f, -7.18185f);
		glVertex3f(27.5145f, -1.74057f, -8.51425f);
		glVertex3f(24.4102f, -1.06552f, -6.57883f);
		// Polygon # 71
		glVertex3f(24.4167f, -1.74545f, -8.15323f);
		glVertex3f(22.0956f, -1.74057f, -8.51425f);
		glVertex3f(21.8388f, -1.06552f, -6.94519f);
		// Polygon # 72
		glVertex3f(22.0956f, -1.74057f, -8.51425f);
		glVertex3f(19.3416f, -1.06552f, -8.25180f);
		glVertex3f(21.8388f, -1.06552f, -6.94519f);
		// Polygon # 73
		glVertex3f(30.1913f, -1.75049f, -19.0962f);
		glVertex3f(28.9081f, -1.74057f, -17.8329f);
		glVertex3f(32.1248f, -1.06552f, -16.0919f);
		// Polygon # 74
		glVertex3f(37.1341f, -1.74057f, -14.3440f);
		glVertex3f(33.7555f, -1.74057f, -16.9507f);
		glVertex3f(33.9539f, -1.06552f, -13.0139f);
		// Polygon # 75
		glVertex3f(33.7555f, -1.74057f, -16.9507f);
		glVertex3f(32.1248f, -1.06552f, -16.0919f);
		glVertex3f(33.9539f, -1.06552f, -13.0139f);
		// Polygon # 76
		glVertex3f(40.1567f, -1.73569f, -11.3365f);
		glVertex3f(37.1341f, -1.74057f, -14.3440f);
		glVertex3f(37.9193f, -1.06552f, -9.39590f);
		// Polygon # 77
		glVertex3f(40.1567f, -1.73569f, -11.3365f);
		glVertex3f(37.9193f, -1.06552f, -9.39590f);
		glVertex3f(42.6782f, -1.74057f, -8.02795f);
		// Polygon # 78
		glVertex3f(42.6782f, -1.74057f, -8.02795f);
		glVertex3f(40.7626f, -1.06552f, -5.37582f);
		glVertex3f(44.5329f, -1.74057f, -4.49905f);
		// Polygon # 79
		glVertex3f(42.6782f, -1.74057f, -8.02795f);
		glVertex3f(37.9193f, -1.06552f, -9.39590f);
		glVertex3f(40.7626f, -1.06552f, -5.37582f);
		// Polygon # 80
		glVertex3f(45.5806f, -1.74057f, -0.809631f);
		glVertex3f(44.5329f, -1.74057f, -4.49905f);
		glVertex3f(42.7469f, -1.06552f, -0.551605f);
		// Polygon # 81
		glVertex3f(45.5806f, -1.74057f, -0.809631f);
		glVertex3f(42.7469f, -1.06552f, -0.551605f);
		glVertex3f(45.6558f, -1.74057f, 2.94495f);
		// Polygon # 82
		glVertex3f(45.6558f, -1.74057f, 2.94495f);
		glVertex3f(41.3676f, -1.06552f, 6.28250f);
		glVertex3f(44.6332f, -1.74057f, 6.99509f);
		// Polygon # 83
		glVertex3f(45.6558f, -1.74057f, 2.94495f);
		glVertex3f(42.7469f, -1.06552f, -0.551605f);
		glVertex3f(41.3676f, -1.06552f, 6.28250f);
		// Polygon # 84
		glVertex3f(44.6332f, -1.74057f, 6.99509f);
		glVertex3f(41.3676f, -1.06552f, 6.28250f);
		glVertex3f(42.7333f, -1.74057f, 10.9853f);
		// Polygon # 85
		glVertex3f(42.7333f, -1.74057f, 10.9853f);
		glVertex3f(41.3676f, -1.06552f, 6.28250f);
		glVertex3f(37.2296f, -1.06552f, 11.9107f);
		// Polygon # 86
		glVertex3f(40.0865f, -1.74057f, 14.6848f);
		glVertex3f(37.2296f, -1.06552f, 11.9107f);
		glVertex3f(36.8533f, -1.74057f, 18.0283f);
		// Polygon # 87
		glVertex3f(36.8533f, -1.74057f, 18.0283f);
		glVertex3f(33.3492f, -1.06552f, 16.1319f);
		glVertex3f(33.1490f, -1.74545f, 20.9607f);
		// Polygon # 88
		glVertex3f(37.2296f, -1.06552f, 11.9107f);
		glVertex3f(33.3492f, -1.06552f, 16.1319f);
		glVertex3f(36.8533f, -1.74057f, 18.0283f);
		// Polygon # 89
		glVertex3f(33.3492f, -1.06552f, 16.1319f);
		glVertex3f(27.5745f, -1.06552f, 20.3529f);
		glVertex3f(33.1490f, -1.74545f, 20.9607f);
		// Polygon # 90
		glVertex3f(29.1336f, -1.74057f, 23.3769f);
		glVertex3f(25.4376f, -1.29349f, 21.1839f);
		glVertex3f(24.9280f, -1.74545f, 25.2417f);
		// Polygon # 91
		glVertex3f(27.5745f, -1.06552f, 20.3529f);
		glVertex3f(25.4376f, -1.29349f, 21.1839f);
		glVertex3f(29.1336f, -1.74057f, 23.3769f);
		// Polygon # 92
		glVertex3f(23.0231f, -1.74057f, 22.1538f);
		glVertex3f(21.6295f, -1.74057f, 25.0160f);
		glVertex3f(24.9280f, -1.74545f, 25.2417f);
		// Polygon # 93
		glVertex3f(23.8295f, -1.06552f, 20.2975f);
		glVertex3f(23.1784f, -1.74057f, 18.5846f);
		glVertex3f(23.0231f, -1.74057f, 22.1538f);
		// Polygon # 94
		glVertex3f(25.4376f, -1.29349f, 21.1839f);
		glVertex3f(23.8295f, -1.06552f, 20.2975f);
		glVertex3f(23.0231f, -1.74057f, 22.1538f);
		// Polygon # 95
		glVertex3f(24.2606f, -1.06552f, 16.8059f);
		glVertex3f(22.5618f, -1.73569f, 15.7124f);
		glVertex3f(23.1784f, -1.74057f, 18.5846f);
		// Polygon # 96
		glVertex3f(24.4330f, -1.06552f, 18.4140f);
		glVertex3f(24.2606f, -1.06552f, 16.8059f);
		glVertex3f(23.1784f, -1.74057f, 18.5846f);
		// Polygon # 97
		glVertex3f(22.8813f, -1.06552f, 13.1879f);
		glVertex3f(20.6970f, -1.74057f, 12.4892f);
		glVertex3f(22.5618f, -1.73569f, 15.7124f);
		// Polygon # 98
		glVertex3f(23.9157f, -1.06552f, 15.1979f);
		glVertex3f(22.8813f, -1.06552f, 13.1879f);
		glVertex3f(22.5618f, -1.73569f, 15.7124f);
		// Polygon # 99
		glVertex3f(23.9157f, -1.06552f, 15.1979f);
		glVertex3f(22.5618f, -1.73569f, 15.7124f);
		glVertex3f(24.2606f, -1.06552f, 16.8059f);
		// Polygon # 100
		glVertex3f(20.6400f, -1.06552f, 10.1727f);
		glVertex3f(18.5316f, -1.74057f, 10.3436f);
		glVertex3f(20.6970f, -1.74057f, 12.4892f);
		// Polygon # 101
		glVertex3f(21.9330f, -1.06552f, 11.5797f);
		glVertex3f(20.6970f, -1.74057f, 12.4892f);
		glVertex3f(22.8813f, -1.06552f, 13.1879f);
		// Polygon # 102
		glVertex3f(16.8867f, -1.06552f, 8.24265f);
		glVertex3f(15.1180f, -1.74057f, 9.26086f);
		glVertex3f(18.5316f, -1.74057f, 10.3436f);
		// Polygon # 103
		glVertex3f(19.1743f, -1.06552f, 9.16779f);
		glVertex3f(16.8867f, -1.06552f, 8.24265f);
		glVertex3f(18.5316f, -1.74057f, 10.3436f);
		// Polygon # 104
		glVertex3f(20.6400f, -1.06552f, 10.1727f);
		glVertex3f(19.1743f, -1.06552f, 9.16779f);
		glVertex3f(18.5316f, -1.74057f, 10.3436f);
		// Polygon # 105
		glVertex3f(8.76663f, -1.73569f, 11.7773f);
		glVertex3f(6.84845f, -1.16287f, 11.9379f);
		glVertex3f(7.68402f, -1.74057f, 14.2685f);
		// Polygon # 106
		glVertex3f(8.76663f, -1.73569f, 11.7773f);
		glVertex3f(8.46558f, -1.06552f, 10.6627f);
		glVertex3f(6.84845f, -1.16287f, 11.9379f);
		// Polygon # 107
		glVertex3f(9.74716f, -1.06552f, 9.80850f);
		glVertex3f(8.46558f, -1.06552f, 10.6627f);
		glVertex3f(8.76663f, -1.73569f, 11.7773f);
		// Polygon # 108
		glVertex3f(11.0876f, -1.73065f, 9.96765f);
		glVertex3f(9.74716f, -1.06552f, 9.80850f);
		glVertex3f(8.76663f, -1.73569f, 11.7773f);
		// Polygon # 109
		glVertex3f(1.94427f, -1.74057f, -16.0284f);
		glVertex3f(0.692139f, -1.33026f, -15.0333f);
		glVertex3f(2.61658f, -1.40305f, -10.6763f);
		// Polygon # 110
		glVertex3f(1.94427f, -1.74057f, -16.0284f);
		glVertex3f(-0.0399780f, -1.14670f, -21.0403f);
		glVertex3f(0.692139f, -1.33026f, -15.0333f);
		// Polygon # 111
		glVertex3f(5.99533f, -0.0732422f, 20.8833f);
		glVertex3f(5.02228f, -0.215302f, 17.3936f);
		glVertex3f(5.22797f, -0.390320f, 20.8833f);
		// Polygon # 112
		glVertex3f(5.22797f, -0.390320f, 20.8833f);
		glVertex3f(5.02228f, -0.215302f, 17.3936f);
		glVertex3f(4.11850f, 0.0413513f, 20.8833f);
		// Polygon # 113
		glVertex3f(5.96008f, 0.172119f, 17.3936f);
		glVertex3f(5.96008f, 0.172119f, 14.9509f);
		glVertex3f(5.02228f, -0.215302f, 17.3936f);
		// Polygon # 114
		glVertex3f(5.96008f, 0.172119f, 14.9509f);
		glVertex3f(5.02228f, -0.215302f, 14.9509f);
		glVertex3f(5.02228f, -0.215302f, 17.3936f);
		// Polygon # 115
		glVertex3f(5.02228f, -0.215302f, 14.9509f);
		glVertex3f(3.91281f, 0.216370f, 14.9509f);
		glVertex3f(5.02228f, -0.215302f, 17.3936f);
		// Polygon # 116
		glVertex3f(5.02228f, -0.215302f, 17.3936f);
		glVertex3f(3.91281f, 0.216370f, 14.9509f);
		glVertex3f(3.91281f, 0.216370f, 17.3936f);
		// Polygon # 117
		glVertex3f(6.03500f, -0.552673f, 23.9368f);
		glVertex3f(5.22797f, -0.390320f, 20.8833f);
		glVertex3f(5.60333f, -0.731201f, 23.9368f);
		// Polygon # 118
		glVertex3f(5.60333f, -0.731201f, 23.9368f);
		glVertex3f(5.22797f, -0.390320f, 20.8833f);
		glVertex3f(4.49387f, -0.299530f, 23.9368f);
		// Polygon # 119
		glVertex3f(5.99533f, -0.0732422f, 20.8833f);
		glVertex3f(5.22797f, -0.390320f, 20.8833f);
		glVertex3f(6.03500f, -0.552673f, 23.9368f);
		// Polygon # 120
		glVertex3f(5.22797f, -0.390320f, 20.8833f);
		glVertex3f(4.11850f, 0.0413513f, 20.8833f);
		glVertex3f(4.30618f, -0.129089f, 22.4100f);
		// Polygon # 121
		glVertex3f(6.03500f, -1.16287f, 28.2988f);
		glVertex3f(5.60333f, -0.731201f, 23.9368f);
		glVertex3f(6.03500f, -1.16287f, 28.2988f);
		// Polygon # 122
		glVertex3f(5.60333f, -0.731201f, 23.9368f);
		glVertex3f(4.49387f, -0.299530f, 23.9368f);
		glVertex3f(6.03500f, -1.16287f, 28.2988f);
		// Polygon # 123
		glVertex3f(6.03500f, -0.552673f, 23.9368f);
		glVertex3f(5.60333f, -0.731201f, 23.9368f);
		glVertex3f(6.03500f, -1.16287f, 28.2988f);
		// Polygon # 124
		glVertex3f(6.46622f, -1.59409f, 23.9368f);
		glVertex3f(6.03500f, -1.77261f, 23.9368f);
		glVertex3f(6.03500f, -1.16287f, 28.2988f);
		// Polygon # 125
		glVertex3f(6.03500f, -0.552673f, 23.9368f);
		glVertex3f(6.03500f, -1.16287f, 28.2988f);
		glVertex3f(6.03500f, -1.16287f, 28.2988f);
		// Polygon # 126
		glVertex3f(6.89758f, -0.216064f, 14.9509f);
		glVertex3f(5.96008f, 0.172119f, 17.3936f);
		glVertex3f(6.84845f, -1.16287f, 17.3936f);
		// Polygon # 127
		glVertex3f(6.27060f, -0.687714f, 17.3941f);
		glVertex3f(5.96008f, 0.172119f, 17.3936f);
		glVertex3f(6.84845f, -1.16287f, 17.3936f);
		// Polygon # 128
		glVertex3f(6.89758f, -0.216064f, 14.9509f);
		glVertex3f(5.96008f, 0.172119f, 14.9509f);
		glVertex3f(5.96008f, 0.172119f, 17.3936f);
		// Polygon # 129
		glVertex3f(6.84845f, -1.16287f, 17.3936f);
		glVertex3f(6.84845f, -1.16287f, 20.8833f);
		glVertex3f(6.61011f, -1.73798f, 20.8833f);
		// Polygon # 130
		glVertex3f(6.84845f, -1.16287f, 20.8833f);
		glVertex3f(6.46622f, -1.59409f, 23.9368f);
		glVertex3f(6.61011f, -1.73798f, 20.8833f);
		// Polygon # 131
		glVertex3f(6.89758f, -0.216064f, 14.9509f);
		glVertex3f(6.84845f, -1.16287f, 14.9509f);
		glVertex3f(6.84845f, -1.16287f, 17.3936f);
		// Polygon # 132
		glVertex3f(6.89758f, -0.216064f, 14.9509f);
		glVertex3f(6.89819f, -0.224609f, 17.3889f);
		glVertex3f(6.84845f, -1.16287f, 17.3936f);
		// Polygon # 133
		glVertex3f(6.89758f, -0.216064f, 14.9509f);
		glVertex3f(6.89758f, -0.216064f, 11.9379f);
		glVertex3f(5.96008f, 0.172119f, 14.9509f);
		// Polygon # 134
		glVertex3f(6.84845f, -1.16287f, 11.9379f);
		glVertex3f(6.89758f, -0.216064f, 14.9509f);
		glVertex3f(6.84845f, -1.16287f, 14.9509f);
		// Polygon # 135
		glVertex3f(6.89758f, -0.216064f, 11.9379f);
		glVertex3f(6.89758f, -0.216064f, 14.9509f);
		glVertex3f(6.84845f, -1.16287f, 11.9379f);
		// Polygon # 136
		glVertex3f(5.96008f, 0.172119f, 14.9509f);
		glVertex3f(5.96008f, 0.172119f, 11.9379f);
		glVertex3f(5.02228f, -0.215302f, 14.9509f);
		// Polygon # 137
		glVertex3f(5.02228f, -0.215302f, 14.9509f);
		glVertex3f(5.02228f, -0.215302f, 11.9379f);
		glVertex3f(3.91281f, 0.216370f, 14.9509f);
		// Polygon # 138
		glVertex3f(5.96008f, 0.172119f, 11.9379f);
		glVertex3f(5.02228f, -0.215302f, 11.9379f);
		glVertex3f(5.02228f, -0.215302f, 14.9509f);
		// Polygon # 139
		glVertex3f(3.91281f, 0.216370f, 14.9509f);
		glVertex3f(3.91281f, 0.216370f, 17.3936f);
		glVertex3f(2.87552f, -1.06552f, 16.9551f);
		// Polygon # 140
		glVertex3f(3.91281f, 0.216370f, 17.3936f);
		glVertex3f(3.04794f, -0.696564f, 19.1031f);
		glVertex3f(2.87552f, -1.06552f, 16.9551f);
		// Polygon # 141
		glVertex3f(4.32678f, -1.06552f, 11.9231f);
		glVertex3f(3.91281f, 0.216370f, 14.9509f);
		glVertex3f(2.87552f, -1.06552f, 16.9551f);
		// Polygon # 142
		glVertex3f(5.02228f, -0.215302f, 11.9379f);
		glVertex3f(3.91281f, 0.216370f, 14.9509f);
		glVertex3f(4.32678f, -1.06552f, 11.9231f);
		// Polygon # 143
		glVertex3f(3.22037f, -0.327606f, 21.2512f);
		glVertex3f(3.04794f, -0.696564f, 19.1031f);
		glVertex3f(2.32224f, -0.696564f, 21.6191f);
		// Polygon # 144
		glVertex3f(3.22037f, -0.327606f, 21.2512f);
		glVertex3f(2.32224f, -0.696564f, 21.6191f);
		glVertex3f(4.30618f, -0.129089f, 22.4100f);
		// Polygon # 145
		glVertex3f(2.32224f, -0.696564f, 21.6191f);
		glVertex3f(1.42426f, -1.06552f, 21.9872f);
		glVertex3f(4.30618f, -0.129089f, 22.4100f);
		// Polygon # 146
		glVertex3f(4.11850f, 0.0413513f, 20.8833f);
		glVertex3f(3.04794f, -0.696564f, 19.1031f);
		glVertex3f(3.22037f, -0.327606f, 21.2512f);
		// Polygon # 147
		glVertex3f(4.11850f, 0.0413513f, 20.8833f);
		glVertex3f(3.22037f, -0.327606f, 21.2512f);
		glVertex3f(4.30618f, -0.129089f, 22.4100f);
		// Polygon # 148
		glVertex3f(3.04794f, -0.696564f, 19.1031f);
		glVertex3f(2.87552f, -1.06552f, 16.9551f);
		glVertex3f(1.42426f, -1.06552f, 21.9872f);
		// Polygon # 149
		glVertex3f(1.42426f, 0.244293f, 18.0879f);
		glVertex3f(-0.0352478f, 0.639954f, 18.0879f);
		glVertex3f(1.42426f, -1.06552f, 21.9872f);
		// Polygon # 150
		glVertex3f(-0.0352478f, 0.639954f, 18.0879f);
		glVertex3f(-1.49475f, 0.244293f, 18.0879f);
		glVertex3f(1.42426f, -1.06552f, 21.9872f);
		// Polygon # 151
		glVertex3f(6.05484f, -1.06552f, 9.77737f);
		glVertex3f(5.02228f, -0.215302f, 11.9379f);
		glVertex3f(4.32678f, -1.06552f, 11.9231f);
		// Polygon # 152
		glVertex3f(6.89758f, -0.216064f, 11.9379f);
		glVertex3f(6.05484f, -1.06552f, 9.77737f);
		glVertex3f(5.96008f, 0.172119f, 11.9379f);
		// Polygon # 153
		glVertex3f(6.05484f, -1.06552f, 9.77737f);
		glVertex3f(5.96008f, 0.172119f, 11.9379f);
		glVertex3f(5.02228f, -0.215302f, 11.9379f);
		// Polygon # 154
		glVertex3f(8.46558f, -1.06552f, 10.6627f);
		glVertex3f(6.05484f, -1.06552f, 9.77737f);
		glVertex3f(6.84845f, -1.16287f, 11.9379f);
		// Polygon # 155
		glVertex3f(6.03027f, -1.15860f, 23.8972f);
		glVertex3f(6.03500f, -0.552673f, 23.9368f);
		glVertex3f(6.03500f, -1.16287f, 28.2988f);
		// Polygon # 156
		glVertex3f(6.64490f, -1.16287f, 23.9368f);
		glVertex3f(6.03027f, -1.15860f, 23.8972f);
		glVertex3f(6.03500f, -1.16287f, 28.2988f);
		// Polygon # 157
		glVertex3f(5.96008f, 0.172119f, 17.3936f);
		glVertex3f(5.99533f, -0.0732422f, 20.8833f);
		glVertex3f(6.02966f, -1.17203f, 20.8112f);
		// Polygon # 158
		glVertex3f(5.99533f, -0.0732422f, 20.8833f);
		glVertex3f(6.03027f, -1.15860f, 23.8972f);
		glVertex3f(6.02966f, -1.17203f, 20.8112f);
		// Polygon # 159
		glVertex3f(6.27060f, -0.687714f, 17.3349f);
		glVertex3f(5.96008f, 0.172119f, 17.3936f);
		glVertex3f(6.02966f, -1.17203f, 20.8112f);
		// Polygon # 160
		glVertex3f(6.27060f, -0.687714f, 17.3349f);
		glVertex3f(6.02966f, -1.17203f, 20.8112f);
		glVertex3f(6.84845f, -1.16287f, 20.8833f);
		// Polygon # 161
		glVertex3f(6.03027f, -1.15860f, 23.8972f);
		glVertex3f(6.02966f, -1.17203f, 20.8112f);
		glVertex3f(6.64490f, -1.16287f, 23.9368f);
		// Polygon # 162
		glVertex3f(6.84845f, -1.16287f, 20.8833f);
		glVertex3f(6.02966f, -1.17203f, 20.8112f);
		glVertex3f(6.64490f, -1.16287f, 23.9368f);
		// Polygon # 163
		glVertex3f(6.61011f, -1.73798f, 20.8833f);
		glVertex3f(6.46622f, -1.59409f, 23.9368f);
		glVertex3f(6.03500f, -1.77261f, 23.9368f);
		// Polygon # 164
		glVertex3f(6.61011f, -1.73798f, 17.3936f);
		glVertex3f(6.61011f, -1.73798f, 20.8833f);
		glVertex3f(6.03500f, -1.97617f, 20.8833f);
		// Polygon # 165
		glVertex3f(6.61011f, -1.73798f, 17.3936f);
		glVertex3f(6.03500f, -1.97617f, 17.3936f);
		glVertex3f(6.03500f, -1.97617f, 20.8833f);
		// Polygon # 166
		glVertex3f(6.03500f, -1.97617f, 17.3936f);
		glVertex3f(6.03500f, -1.97617f, 20.8833f);
		glVertex3f(5.46005f, -1.73782f, 20.8833f);
		// Polygon # 167
		glVertex3f(6.03500f, -1.97617f, 17.3936f);
		glVertex3f(5.46005f, -1.73782f, 17.3936f);
		glVertex3f(5.46005f, -1.73782f, 20.8833f);
		// Polygon # 168
		glVertex3f(6.03500f, -1.97617f, 20.8833f);
		glVertex3f(6.03500f, -1.77261f, 23.9368f);
		glVertex3f(5.60394f, -1.59393f, 23.9368f);
		// Polygon # 169
		glVertex3f(4.85718f, 0.364990f, -8.97644f);
		glVertex3f(4.74854f, 0.578918f, 12.1509f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		// Polygon # 170
		glVertex3f(4.96750f, 0.398407f, 12.1509f);
		glVertex3f(4.74854f, 0.578918f, 12.1509f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		// Polygon # 171
		glVertex3f(4.85718f, 0.364990f, -8.97644f);
		glVertex3f(4.30664f, -0.0271606f, -9.78775f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		// Polygon # 172
		glVertex3f(4.54529f, -0.160522f, -9.78775f);
		glVertex3f(4.30664f, -0.0271606f, -9.78775f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		// Polygon # 173
		glVertex3f(4.30664f, -0.0271606f, -9.78775f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		glVertex3f(4.10568f, -0.870514f, -10.9599f);
		// Polygon # 174
		glVertex3f(4.96750f, 0.398407f, 12.1509f);
		glVertex3f(4.38889f, -0.160522f, 14.9077f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		// Polygon # 175
		glVertex3f(4.54529f, -0.160522f, -9.78775f);
		glVertex3f(4.38889f, -0.160522f, 14.9077f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		// Polygon # 176
		glVertex3f(4.54529f, -0.160522f, -9.78775f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		glVertex3f(4.10568f, -0.870514f, -10.9599f);
		// Polygon # 177
		glVertex3f(3.86703f, -0.737152f, -10.9599f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		glVertex3f(3.90274f, -1.81732f, -12.5491f);
		// Polygon # 178
		glVertex3f(3.86703f, -0.737152f, -10.9599f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		glVertex3f(3.66409f, -1.68396f, -12.5491f);
		// Polygon # 179
		glVertex3f(4.10568f, -0.870514f, -10.9599f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		glVertex3f(3.90274f, -1.81732f, -12.5491f);
		// Polygon # 180
		glVertex3f(3.90274f, -1.81732f, -12.5491f);
		glVertex3f(3.66409f, -1.68396f, -12.5491f);
		glVertex3f(4.14307f, -0.0271606f, 14.9077f);
		// Polygon # 181
		glVertex3f(5.95901f, 0.584717f, 10.9619f);
		glVertex3f(5.78629f, 0.780945f, 10.9619f);
		glVertex3f(4.74854f, 0.578918f, 12.1509f);
		// Polygon # 182
		glVertex3f(5.37796f, 0.780945f, -8.29819f);
		glVertex3f(4.85718f, 0.364990f, -8.97644f);
		glVertex3f(4.74854f, 0.578918f, 12.1509f);
		// Polygon # 183
		glVertex3f(5.95901f, 0.584717f, 10.9619f);
		glVertex3f(4.96750f, 0.398407f, 12.1509f);
		glVertex3f(4.74854f, 0.578918f, 12.1509f);
		// Polygon # 184
		glVertex3f(8.28568f, 0.780945f, 9.61304f);
		glVertex3f(7.34055f, 0.780945f, -6.64978f);
		glVertex3f(5.78629f, 0.780945f, 10.9619f);
		// Polygon # 185
		glVertex3f(7.34055f, 0.780945f, -6.64978f);
		glVertex3f(5.37796f, 0.780945f, -8.29819f);
		glVertex3f(5.78629f, 0.780945f, 10.9619f);
		// Polygon # 186
		glVertex3f(8.34732f, 0.584717f, 9.61304f);
		glVertex3f(5.78629f, 0.780945f, 10.9619f);
		glVertex3f(5.95901f, 0.584717f, 10.9619f);
		// Polygon # 187
		glVertex3f(11.0315f, 0.780945f, 8.32458f);
		glVertex3f(10.7657f, 0.780945f, -5.34821f);
		glVertex3f(8.28568f, 0.780945f, 9.61304f);
		// Polygon # 188
		glVertex3f(11.0315f, 0.780945f, 8.32458f);
		glVertex3f(8.28568f, 0.780945f, 9.61304f);
		glVertex3f(10.9709f, 0.584717f, 8.32458f);
		// Polygon # 189
		glVertex3f(10.9709f, 0.584717f, 8.32458f);
		glVertex3f(8.28568f, 0.780945f, 9.61304f);
		glVertex3f(8.34732f, 0.584717f, 9.61304f);
		// Polygon # 190
		glVertex3f(14.2468f, 0.780945f, 6.91040f);
		glVertex3f(14.2468f, 0.780945f, -5.95459f);
		glVertex3f(11.0315f, 0.780945f, 8.32458f);
		// Polygon # 191
		glVertex3f(14.2468f, 0.780945f, 6.91040f);
		glVertex3f(11.0315f, 0.780945f, 8.32458f);
		glVertex3f(14.0433f, 0.584717f, 6.91040f);
		// Polygon # 192
		glVertex3f(14.2468f, 0.780945f, -5.95459f);
		glVertex3f(10.7657f, 0.780945f, -5.34821f);
		glVertex3f(11.0315f, 0.780945f, 8.32458f);
		// Polygon # 193
		glVertex3f(14.8521f, 0.680695f, -6.19171f);
		glVertex3f(14.2468f, 0.780945f, 6.91040f);
		glVertex3f(14.8521f, 0.543060f, 7.01141f);
		// Polygon # 194
		glVertex3f(14.8521f, 0.543060f, 7.01141f);
		glVertex3f(14.2468f, 0.780945f, 6.91040f);
		glVertex3f(14.6217f, 0.365295f, 7.01141f);
		// Polygon # 195
		glVertex3f(14.8521f, 0.680695f, -6.19171f);
		glVertex3f(14.2468f, 0.780945f, -5.95459f);
		glVertex3f(14.2468f, 0.780945f, 6.91040f);
		// Polygon # 196
		glVertex3f(14.2468f, 0.780945f, 6.91040f);
		glVertex3f(14.0433f, 0.584717f, 6.91040f);
		glVertex3f(14.6217f, 0.365295f, 7.01141f);
		// Polygon # 197
		glVertex3f(15.1117f, 0.0379944f, 7.58728f);
		glVertex3f(14.8521f, 0.543060f, 7.01141f);
		glVertex3f(14.8697f, -0.100403f, 7.58728f);
		// Polygon # 198
		glVertex3f(14.8521f, 0.680695f, -6.19171f);
		glVertex3f(14.8521f, 0.543060f, 7.01141f);
		glVertex3f(15.1117f, 0.104675f, -6.69708f);
		// Polygon # 199
		glVertex3f(14.8521f, 0.543060f, 7.01141f);
		glVertex3f(14.6217f, 0.365295f, 7.01141f);
		glVertex3f(14.8697f, -0.100403f, 7.58728f);
		// Polygon # 200
		glVertex3f(15.1117f, 0.0379944f, 7.58728f);
		glVertex3f(15.1981f, -0.669098f, 8.40881f);
		glVertex3f(15.1981f, -0.716705f, -7.42355f);
		// Polygon # 201
		glVertex3f(15.1117f, 0.104675f, -6.69708f);
		glVertex3f(15.1117f, 0.0379944f, 7.58728f);
		glVertex3f(15.1981f, -0.716705f, -7.42355f);
		// Polygon # 202
		glVertex3f(15.1117f, 0.0379944f, 7.58728f);
		glVertex3f(14.8697f, -0.100403f, 7.58728f);
		glVertex3f(14.9522f, -0.752411f, 8.40881f);
		// Polygon # 203
		glVertex3f(15.1981f, -0.716705f, -7.42355f);
		glVertex3f(15.1981f, -0.669098f, 8.40881f);
		glVertex3f(15.1180f, -1.74057f, 9.26086f);
		// Polygon # 204
		glVertex3f(15.1981f, -0.669098f, 8.40881f);
		glVertex3f(15.1180f, -1.74057f, 9.26086f);
		glVertex3f(14.8756f, -1.74057f, 9.26086f);
		// Polygon # 205
		glVertex3f(15.1981f, -0.716705f, -7.42355f);
		glVertex3f(15.1117f, 0.104675f, -6.69708f);
		glVertex3f(14.9522f, -0.796356f, -7.42355f);
		// Polygon # 206
		glVertex3f(15.1180f, -1.74057f, -8.32184f);
		glVertex3f(15.1981f, -0.716705f, -7.42355f);
		glVertex3f(15.1180f, -1.74057f, 9.26086f);
		// Polygon # 207
		glVertex3f(15.1981f, -0.716705f, -7.42355f);
		glVertex3f(14.9522f, -0.796356f, -7.42355f);
		glVertex3f(15.1180f, -1.74057f, -8.32184f);
		// Polygon # 208
		glVertex3f(15.1117f, 0.104675f, -6.69708f);
		glVertex3f(14.8521f, 0.680695f, -6.19171f);
		glVertex3f(14.8697f, -0.0389099f, -6.69708f);
		// Polygon # 209
		glVertex3f(14.8521f, 0.680695f, -6.19171f);
		glVertex3f(14.2468f, 0.780945f, -5.95459f);
		glVertex3f(14.6217f, 0.492249f, -6.19171f);
		// Polygon # 210
		glVertex3f(14.8521f, 0.680695f, -6.19171f);
		glVertex3f(14.6217f, 0.492249f, -6.19171f);
		glVertex3f(14.8697f, -0.0389099f, -6.69708f);
		// Polygon # 211
		glVertex3f(14.2468f, 0.780945f, -5.95459f);
		glVertex3f(10.7657f, 0.780945f, -5.34821f);
		glVertex3f(14.0433f, 0.584717f, -5.95459f);
		// Polygon # 212
		glVertex3f(14.2468f, 0.780945f, -5.95459f);
		glVertex3f(14.0433f, 0.584717f, -5.95459f);
		glVertex3f(14.6217f, 0.492249f, -6.19171f);
		// Polygon # 213
		glVertex3f(14.0433f, 0.584717f, -5.95459f);
		glVertex3f(10.7657f, 0.780945f, -5.34821f);
		glVertex3f(10.7169f, 0.584717f, -5.34821f);
		// Polygon # 214
		glVertex3f(7.34055f, 0.780945f, -6.64978f);
		glVertex3f(5.37796f, 0.780945f, -8.29819f);
		glVertex3f(7.44415f, 0.584717f, -6.64978f);
		// Polygon # 215
		glVertex3f(10.7169f, 0.584717f, -5.34821f);
		glVertex3f(7.34055f, 0.780945f, -6.64978f);
		glVertex3f(7.44415f, 0.584717f, -6.64978f);
		// Polygon # 216
		glVertex3f(5.56885f, 0.584717f, -8.29819f);
		glVertex3f(5.37796f, 0.780945f, -8.29819f);
		glVertex3f(4.85718f, 0.364990f, -8.97644f);
		// Polygon # 217
		glVertex3f(5.07126f, 0.201111f, -8.97644f);
		glVertex3f(4.85718f, 0.364990f, -8.97644f);
		glVertex3f(4.30664f, -0.0271606f, -9.78775f);
		// Polygon # 218
		glVertex3f(5.56885f, 0.584717f, -8.29819f);
		glVertex3f(4.85718f, 0.364990f, -8.97644f);
		glVertex3f(5.07126f, 0.201111f, -8.97644f);
		// Polygon # 219
		glVertex3f(4.54529f, -0.160522f, -9.78775f);
		glVertex3f(4.30664f, -0.0271606f, -9.78775f);
		glVertex3f(5.07126f, 0.201111f, -8.97644f);
		// Polygon # 220
		glVertex3f(4.54529f, -0.160522f, -9.78775f);
		glVertex3f(4.10568f, -0.870514f, -10.9599f);
		glVertex3f(4.30664f, -0.0271606f, -9.78775f);
		// Polygon # 221
		glVertex3f(2.61658f, -1.40305f, -10.6763f);
		glVertex3f(0.692139f, -1.33026f, -15.0333f);
		glVertex3f(1.42426f, -1.06552f, -8.54752f);
		// Polygon # 222
		glVertex3f(19.6117f, -1.06552f, 3.83530f);
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		glVertex3f(16.9003f, -1.06552f, 4.47800f);
		// Polygon # 223
		glVertex3f(24.2987f, -1.06552f, -2.56165f);
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		glVertex3f(19.6117f, -1.06552f, 3.83530f);
		// Polygon # 224
		glVertex3f(19.6117f, -1.06552f, 3.83530f);
		glVertex3f(16.9003f, -1.06552f, 4.47800f);
		glVertex3f(18.3124f, -1.06552f, 6.83014f);
		// Polygon # 225
		glVertex3f(25.6779f, -1.06552f, 4.27246f);
		glVertex3f(19.6117f, -1.06552f, 3.83530f);
		glVertex3f(20.8124f, -1.06552f, 7.83524f);
		// Polygon # 226
		glVertex3f(24.2987f, -1.06552f, -2.56165f);
		glVertex3f(19.6117f, -1.06552f, 3.83530f);
		glVertex3f(25.6779f, -1.06552f, 4.27246f);
		// Polygon # 227
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		glVertex3f(11.2579f, -1.06552f, -6.69250f);
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		// Polygon # 228
		glVertex3f(17.2412f, -1.06552f, -11.7612f);
		glVertex3f(16.2619f, -1.06552f, -8.19183f);
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		// Polygon # 229
		glVertex3f(16.2619f, -1.06552f, -8.19183f);
		glVertex3f(14.2188f, -1.06552f, -7.01172f);
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		// Polygon # 230
		glVertex3f(14.2188f, -1.06552f, -7.01172f);
		glVertex3f(12.7682f, -1.06552f, -6.79321f);
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		// Polygon # 231
		glVertex3f(12.7682f, -1.06552f, -6.79321f);
		glVertex3f(11.2579f, -1.06552f, -6.69250f);
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		// Polygon # 232
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		glVertex3f(11.4777f, -1.06552f, 5.76340f);
		glVertex3f(8.76633f, -1.06552f, 6.40610f);
		// Polygon # 233
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		glVertex3f(16.9003f, -1.06552f, 4.47800f);
		glVertex3f(14.1890f, -1.06552f, 5.12070f);
		// Polygon # 234
		glVertex3f(24.4711f, -1.06552f, -5.37567f);
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		glVertex3f(24.2987f, -1.06552f, -2.56165f);
		// Polygon # 235
		glVertex3f(24.4711f, -1.06552f, -5.37567f);
		glVertex3f(21.8388f, -1.06552f, -6.94519f);
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		// Polygon # 236
		glVertex3f(21.8388f, -1.06552f, -6.94519f);
		glVertex3f(19.3416f, -1.06552f, -8.25180f);
		glVertex3f(18.5957f, -1.06552f, -3.92242f);
		// Polygon # 237
		glVertex3f(9.70459f, -1.06552f, -6.69250f);
		glVertex3f(7.76276f, -1.06552f, -7.80075f);
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		// Polygon # 238
		glVertex3f(11.2579f, -1.06552f, -6.69250f);
		glVertex3f(9.70459f, -1.06552f, -6.69250f);
		glVertex3f(5.72952f, -1.06552f, -0.708771f);
		// Polygon # 239
		glVertex3f(16.8867f, -1.06552f, 8.24265f);
		glVertex3f(14.2017f, -1.06552f, 8.10043f);
		glVertex3f(15.1180f, -1.74057f, 9.26086f);
		// Polygon # 240
		glVertex3f(15.7635f, -1.06552f, 6.15021f);
		glVertex3f(14.2017f, -1.06552f, 8.10043f);
		glVertex3f(16.8867f, -1.06552f, 8.24265f);
		// Polygon # 241
		glVertex3f(18.3124f, -1.06552f, 6.83014f);
		glVertex3f(16.8867f, -1.06552f, 8.24265f);
		glVertex3f(19.1743f, -1.06552f, 9.16779f);
		// Polygon # 242
		glVertex3f(14.2017f, -1.06552f, 8.10043f);
		glVertex3f(12.6761f, -1.06552f, 8.52737f);
		glVertex3f(13.0417f, -1.73553f, 9.47205f);
		// Polygon # 243
		glVertex3f(14.2017f, -1.06552f, 8.10043f);
		glVertex3f(13.1314f, -1.06552f, 6.55319f);
		glVertex3f(12.6761f, -1.06552f, 8.52737f);
		// Polygon # 244
		glVertex3f(15.1180f, -1.74057f, 9.26086f);
		glVertex3f(14.2017f, -1.06552f, 8.10043f);
		glVertex3f(13.0417f, -1.73553f, 9.47205f);
		// Polygon # 245
		glVertex3f(12.6761f, -1.06552f, 8.52737f);
		glVertex3f(11.1507f, -1.06552f, 8.95447f);
		glVertex3f(13.0417f, -1.73553f, 9.47205f);
		// Polygon # 246
		glVertex3f(12.6761f, -1.06552f, 8.52737f);
		glVertex3f(10.3699f, -1.06552f, 7.35931f);
		glVertex3f(11.1507f, -1.06552f, 8.95447f);
		// Polygon # 247
		glVertex3f(13.1314f, -1.06552f, 6.55319f);
		glVertex3f(10.3699f, -1.06552f, 7.35931f);
		glVertex3f(12.6761f, -1.06552f, 8.52737f);
		// Polygon # 248
		glVertex3f(11.1507f, -1.06552f, 8.95447f);
		glVertex3f(9.74716f, -1.06552f, 9.80850f);
		glVertex3f(11.0876f, -1.73065f, 9.96765f);
		// Polygon # 249
		glVertex3f(13.0417f, -1.73553f, 9.47205f);
		glVertex3f(11.1507f, -1.06552f, 8.95447f);
		glVertex3f(11.0876f, -1.73065f, 9.96765f);
		// Polygon # 250
		glVertex3f(9.74716f, -1.06552f, 9.80850f);
		glVertex3f(7.95349f, -1.06552f, 8.46756f);
		glVertex3f(8.46558f, -1.06552f, 10.6627f);
		// Polygon # 251
		glVertex3f(10.3699f, -1.06552f, 7.35931f);
		glVertex3f(7.95349f, -1.06552f, 8.46756f);
		glVertex3f(9.74716f, -1.06552f, 9.80850f);
		// Polygon # 252
		glVertex3f(7.95349f, -1.06552f, 8.46756f);
		glVertex3f(6.05484f, -1.06552f, 9.77737f);
		glVertex3f(8.46558f, -1.06552f, 10.6627f);
		// Polygon # 253
		glVertex3f(10.3699f, -1.06552f, 7.35931f);
		glVertex3f(8.76633f, -1.06552f, 6.40610f);
		glVertex3f(7.95349f, -1.06552f, 8.46756f);
		// Polygon # 254
		glVertex3f(13.1314f, -1.06552f, 6.55319f);
		glVertex3f(11.4777f, -1.06552f, 5.76340f);
		glVertex3f(10.3699f, -1.06552f, 7.35931f);
		// Polygon # 255
		glVertex3f(11.4777f, -1.06552f, 5.76340f);
		glVertex3f(8.76633f, -1.06552f, 6.40610f);
		glVertex3f(10.3699f, -1.06552f, 7.35931f);
		// Polygon # 256
		glVertex3f(15.7635f, -1.06552f, 6.15021f);
		glVertex3f(14.1890f, -1.06552f, 5.12070f);
		glVertex3f(13.1314f, -1.06552f, 6.55319f);
		// Polygon # 257
		glVertex3f(16.9003f, -1.06552f, 4.47800f);
		glVertex3f(14.1890f, -1.06552f, 5.12070f);
		glVertex3f(15.7635f, -1.06552f, 6.15021f);
		// Polygon # 258
		glVertex3f(16.9003f, -1.06552f, 4.47800f);
		glVertex3f(15.7635f, -1.06552f, 6.15021f);
		glVertex3f(18.3124f, -1.06552f, 6.83014f);
		// Polygon # 259
		glVertex3f(20.8124f, -1.06552f, 7.83524f);
		glVertex3f(19.1743f, -1.06552f, 9.16779f);
		glVertex3f(20.6400f, -1.06552f, 10.1727f);
		// Polygon # 260
		glVertex3f(20.8124f, -1.06552f, 7.83524f);
		glVertex3f(18.3124f, -1.06552f, 6.83014f);
		glVertex3f(19.1743f, -1.06552f, 9.16779f);
		// Polygon # 261
		glVertex3f(23.1400f, -1.06552f, 9.84528f);
		glVertex3f(20.8124f, -1.06552f, 7.83524f);
		glVertex3f(20.6400f, -1.06552f, 10.1727f);
		// Polygon # 262
		glVertex3f(24.5192f, -1.06552f, 12.4583f);
		glVertex3f(21.9330f, -1.06552f, 11.5797f);
		glVertex3f(22.8813f, -1.06552f, 13.1879f);
		// Polygon # 263
		glVertex3f(23.1400f, -1.06552f, 9.84528f);
		glVertex3f(21.9330f, -1.06552f, 11.5797f);
		glVertex3f(24.5192f, -1.06552f, 12.4583f);
		// Polygon # 264
		glVertex3f(24.5192f, -1.06552f, 12.4583f);
		glVertex3f(22.8813f, -1.06552f, 13.1879f);
		glVertex3f(23.9157f, -1.06552f, 15.1979f);
		// Polygon # 265
		glVertex3f(24.5192f, -1.06552f, 12.4583f);
		glVertex3f(23.9157f, -1.06552f, 15.1979f);
		glVertex3f(25.5537f, -1.06552f, 15.4733f);
		// Polygon # 266
		glVertex3f(25.5537f, -1.06552f, 18.0864f);
		glVertex3f(24.2606f, -1.06552f, 16.8059f);
		glVertex3f(24.4330f, -1.06552f, 18.4140f);
		// Polygon # 267
		glVertex3f(25.5537f, -1.06552f, 15.4733f);
		glVertex3f(24.2606f, -1.06552f, 16.8059f);
		glVertex3f(25.5537f, -1.06552f, 18.0864f);
		// Polygon # 268
		glVertex3f(24.4330f, -1.06552f, 18.4140f);
		glVertex3f(23.8295f, -1.06552f, 20.2975f);
		glVertex3f(25.4376f, -1.29349f, 21.1839f);
		// Polygon # 269
		glVertex3f(25.6779f, -1.06552f, 4.27246f);
		glVertex3f(20.8124f, -1.06552f, 7.83524f);
		glVertex3f(23.1400f, -1.06552f, 9.84528f);
		// Polygon # 270
		glVertex3f(31.7125f, -1.06552f, 8.29254f);
		glVertex3f(23.1400f, -1.06552f, 9.84528f);
		glVertex3f(24.5192f, -1.06552f, 12.4583f);
		// Polygon # 271
		glVertex3f(31.7125f, -1.06552f, 8.29254f);
		glVertex3f(25.6779f, -1.06552f, 4.27246f);
		glVertex3f(23.1400f, -1.06552f, 9.84528f);
		// Polygon # 272
		glVertex3f(31.7125f, -1.06552f, 8.29254f);
		glVertex3f(24.5192f, -1.06552f, 12.4583f);
		glVertex3f(25.5537f, -1.06552f, 15.4733f);
		// Polygon # 273
		glVertex3f(31.7125f, -1.06552f, 8.29254f);
		glVertex3f(29.9884f, -1.06552f, 14.3228f);
		glVertex3f(25.5537f, -1.06552f, 15.4733f);
		// Polygon # 274
		glVertex3f(29.9884f, -1.06552f, 14.3228f);
		glVertex3f(25.5537f, -1.06552f, 18.0864f);
		glVertex3f(27.5745f, -1.06552f, 20.3529f);
		// Polygon # 275
		glVertex3f(27.5745f, -1.06552f, 20.3529f);
		glVertex3f(25.5537f, -1.06552f, 18.0864f);
		glVertex3f(25.4376f, -1.29349f, 21.1839f);
		// Polygon # 276
		glVertex3f(31.1952f, -1.06552f, -0.149689f);
		glVertex3f(24.2987f, -1.06552f, -2.56165f);
		glVertex3f(25.6779f, -1.06552f, 4.27246f);
		// Polygon # 277
		glVertex3f(32.4022f, -1.06552f, -6.98380f);
		glVertex3f(24.2987f, -1.06552f, -2.56165f);
		glVertex3f(31.1952f, -1.06552f, -0.149689f);
		// Polygon # 278
		glVertex3f(32.4022f, -1.06552f, -6.98380f);
		glVertex3f(24.4711f, -1.06552f, -5.37567f);
		glVertex3f(24.2987f, -1.06552f, -2.56165f);
		// Polygon # 279
		glVertex3f(38.4366f, -1.06552f, 2.26242f);
		glVertex3f(31.1952f, -1.06552f, -0.149689f);
		glVertex3f(31.7125f, -1.06552f, 8.29254f);
		// Polygon # 280
		glVertex3f(40.7626f, -1.06552f, -5.37582f);
		glVertex3f(31.1952f, -1.06552f, -0.149689f);
		glVertex3f(38.4366f, -1.06552f, 2.26242f);
		// Polygon # 281
		glVertex3f(37.2296f, -1.06552f, 11.9107f);
		glVertex3f(31.7125f, -1.06552f, 8.29254f);
		glVertex3f(29.9884f, -1.06552f, 14.3228f);
		// Polygon # 282
		glVertex3f(38.4366f, -1.06552f, 2.26242f);
		glVertex3f(31.7125f, -1.06552f, 8.29254f);
		glVertex3f(37.2296f, -1.06552f, 11.9107f);
		// Polygon # 283
		glVertex3f(37.2296f, -1.06552f, 11.9107f);
		glVertex3f(29.9884f, -1.06552f, 14.3228f);
		glVertex3f(33.3492f, -1.06552f, 16.1319f);
		// Polygon # 284
		glVertex3f(33.3492f, -1.06552f, 16.1319f);
		glVertex3f(29.9884f, -1.06552f, 14.3228f);
		glVertex3f(27.5745f, -1.06552f, 20.3529f);
		// Polygon # 285
		glVertex3f(42.7469f, -1.06552f, -0.551605f);
		glVertex3f(38.4366f, -1.06552f, 2.26242f);
		glVertex3f(41.3676f, -1.06552f, 6.28250f);
		// Polygon # 286
		glVertex3f(41.3676f, -1.06552f, 6.28250f);
		glVertex3f(38.4366f, -1.06552f, 2.26242f);
		glVertex3f(37.2296f, -1.06552f, 11.9107f);
		// Polygon # 287
		glVertex3f(37.9193f, -1.06552f, -9.39590f);
		glVertex3f(32.4022f, -1.06552f, -6.98380f);
		glVertex3f(40.7626f, -1.06552f, -5.37582f);
		// Polygon # 288
		glVertex3f(37.9193f, -1.06552f, -9.39590f);
		glVertex3f(33.9539f, -1.06552f, -13.0139f);
		glVertex3f(32.4022f, -1.06552f, -6.98380f);
		// Polygon # 289
		glVertex3f(32.4022f, -1.06552f, -6.98380f);
		glVertex3f(28.0701f, -1.06552f, -7.18185f);
		glVertex3f(24.4711f, -1.06552f, -5.37567f);
		// Polygon # 290
		glVertex3f(32.5050f, -1.06552f, -12.6091f);
		glVertex3f(31.0841f, -1.06552f, -8.78998f);
		glVertex3f(32.4022f, -1.06552f, -6.98380f);
		// Polygon # 291
		glVertex3f(31.0841f, -1.06552f, -8.78998f);
		glVertex3f(28.0701f, -1.06552f, -7.18185f);
		glVertex3f(32.4022f, -1.06552f, -6.98380f);
		// Polygon # 292
		glVertex3f(33.9539f, -1.06552f, -13.0139f);
		glVertex3f(32.1248f, -1.06552f, -16.0919f);
		glVertex3f(32.5050f, -1.06552f, -12.6091f);
		// Polygon # 293
		glVertex3f(24.4102f, -1.06552f, -6.57883f);
		glVertex3f(21.8388f, -1.06552f, -6.94519f);
		glVertex3f(24.4711f, -1.06552f, -5.37567f);
		// Polygon # 294
		glVertex3f(15.1180f, -1.74057f, -8.32184f);
		glVertex3f(14.9522f, -0.796356f, -7.42355f);
		glVertex3f(14.8756f, -1.74057f, 9.26086f);
		// Polygon # 295
		glVertex3f(15.1180f, -1.74057f, -8.32184f);
		glVertex3f(14.9522f, -0.796356f, -7.42355f);
		glVertex3f(14.8756f, -1.74057f, -8.32184f);
		// Polygon # 296
		glVertex3f(15.1180f, -1.74057f, -8.32184f);
		glVertex3f(14.8756f, -1.74057f, -8.32184f);
		glVertex3f(14.8756f, -1.74057f, 9.26086f);
		// Polygon # 297
		glVertex3f(5.07126f, 0.201111f, -8.97644f);
		glVertex3f(4.54529f, -0.160522f, -9.78775f);
		glVertex3f(4.38889f, -0.160522f, 14.9077f);
		// Polygon # 298
		glVertex3f(5.95901f, 0.584717f, 10.9619f);
		glVertex3f(5.56885f, 0.584717f, -8.29819f);
		glVertex3f(4.96750f, 0.398407f, 12.1509f);
		// Polygon # 299
		glVertex3f(5.56885f, 0.584717f, -8.29819f);
		glVertex3f(5.07126f, 0.201111f, -8.97644f);
		glVertex3f(4.96750f, 0.398407f, 12.1509f);
		// Polygon # 300
		glVertex3f(8.34732f, 0.584717f, 9.61304f);
		glVertex3f(7.44415f, 0.584717f, -6.64978f);
		glVertex3f(5.95901f, 0.584717f, 10.9619f);
		// Polygon # 301
		glVertex3f(10.9709f, 0.584717f, 8.32458f);
		glVertex3f(10.7169f, 0.584717f, -5.34821f);
		glVertex3f(8.34732f, 0.584717f, 9.61304f);
		// Polygon # 302
		glVertex3f(10.7169f, 0.584717f, -5.34821f);
		glVertex3f(7.44415f, 0.584717f, -6.64978f);
		glVertex3f(8.34732f, 0.584717f, 9.61304f);
		// Polygon # 303
		glVertex3f(14.0433f, 0.584717f, 6.91040f);
		glVertex3f(14.0433f, 0.584717f, -5.95459f);
		glVertex3f(10.9709f, 0.584717f, 8.32458f);
		// Polygon # 304
		glVertex3f(14.0433f, 0.584717f, -5.95459f);
		glVertex3f(10.7169f, 0.584717f, -5.34821f);
		glVertex3f(10.9709f, 0.584717f, 8.32458f);
		// Polygon # 305
		glVertex3f(14.6217f, 0.492249f, -6.19171f);
		glVertex3f(14.0433f, 0.584717f, -5.95459f);
		glVertex3f(14.0433f, 0.584717f, 6.91040f);
		// Polygon # 306
		glVertex3f(14.8697f, -0.0389099f, -6.69708f);
		glVertex3f(14.6217f, 0.365295f, 7.01141f);
		glVertex3f(14.8697f, -0.100403f, 7.58728f);
		// Polygon # 307
		glVertex3f(14.6217f, 0.492249f, -6.19171f);
		glVertex3f(14.6217f, 0.365295f, 7.01141f);
		glVertex3f(14.8697f, -0.0389099f, -6.69708f);
		// Polygon # 308
		glVertex3f(14.8697f, -0.100403f, 7.58728f);
		glVertex3f(14.9522f, -0.752411f, 8.40881f);
		glVertex3f(14.9522f, -0.796356f, -7.42355f);
		// Polygon # 309
		glVertex3f(14.9522f, -0.796356f, -7.42355f);
		glVertex3f(14.9522f, -0.752411f, 8.40881f);
		glVertex3f(14.8756f, -1.74057f, 9.26086f);
		// Polygon # 310
		glVertex3f(14.8756f, -1.74057f, -8.32184f);
		glVertex3f(14.9522f, -0.796356f, -7.42355f);
		glVertex3f(14.8756f, -1.74057f, 9.26086f);
		// Polygon # 311
		glVertex3f(-0.0399780f, -1.14670f, -21.0403f);
		glVertex3f(-2.01477f, -1.74057f, -16.0284f);
		glVertex3f(-0.762634f, -1.33026f, -15.0333f);
		// Polygon # 312
		glVertex3f(12.2472f, -1.74057f, 9.57642f);
		glVertex3f(12.0049f, 0.626373f, 7.68295f);
		glVertex3f(12.0049f, -1.74057f, 9.57642f);
		// Polygon # 313
		glVertex3f(12.2472f, 0.626373f, 7.68295f);
		glVertex3f(12.0049f, 0.626373f, 7.68295f);
		glVertex3f(12.2472f, -1.74057f, 9.57642f);
		// Polygon # 314
		glVertex3f(12.2472f, 0.626373f, -5.53406f);
		glVertex3f(12.2472f, 0.626373f, 7.68295f);
		glVertex3f(12.2472f, -1.74057f, 9.57642f);
		// Polygon # 315
		glVertex3f(12.2472f, -1.74057f, -7.35519f);
		glVertex3f(12.2472f, 0.626373f, -5.53406f);
		glVertex3f(12.2472f, -1.74057f, 9.57642f);
		// Polygon # 316
		glVertex3f(12.2472f, -1.74057f, -7.35519f);
		glVertex3f(12.0049f, -1.74057f, -7.35519f);
		glVertex3f(12.2472f, -1.74057f, 9.57642f);
		// Polygon # 317
		glVertex3f(12.0049f, -1.74057f, -7.35519f);
		glVertex3f(12.0049f, 0.626373f, -5.53406f);
		glVertex3f(12.0049f, -1.74057f, 9.57642f);
		// Polygon # 318
		glVertex3f(6.45767f, -1.74057f, 12.4165f);
		glVertex3f(6.21536f, 0.626373f, 10.5231f);
		glVertex3f(6.21536f, -1.74057f, 12.4165f);
		// Polygon # 319
		glVertex3f(6.45767f, -1.74057f, 12.4165f);
		glVertex3f(6.21536f, -1.74057f, -9.49738f);
		glVertex3f(6.21536f, -1.74057f, 12.4165f);
		// Polygon # 320
		glVertex3f(6.21536f, 0.626373f, -7.28821f);
		glVertex3f(6.21536f, 0.626373f, 10.5231f);
		glVertex3f(6.21536f, -1.74057f, 12.4165f);
		// Polygon # 321
		glVertex3f(6.45767f, 0.626373f, 10.5231f);
		glVertex3f(6.21536f, 0.626373f, 10.5231f);
		glVertex3f(6.45767f, -1.74057f, 12.4165f);
		// Polygon # 322
		glVertex3f(6.45767f, 0.626373f, -7.28821f);
		glVertex3f(6.45767f, 0.626373f, 10.5231f);
		glVertex3f(6.45767f, -1.74057f, 12.4165f);
		// Polygon # 323
		glVertex3f(6.45767f, -1.74057f, -9.49738f);
		glVertex3f(6.45767f, 0.626373f, -7.28821f);
		glVertex3f(6.45767f, -1.74057f, 12.4165f);
		// Polygon # 324
		glVertex3f(6.45767f, -1.74057f, -9.49738f);
		glVertex3f(6.21536f, -1.74057f, -9.49738f);
		glVertex3f(6.45767f, -1.74057f, 12.4165f);
		// Polygon # 325
		glVertex3f(9.32846f, -1.74057f, 10.9175f);
		glVertex3f(9.08615f, -1.74057f, -7.74933f);
		glVertex3f(9.08615f, -1.74057f, 10.9175f);
		// Polygon # 326
		glVertex3f(9.32846f, 0.626373f, 9.02405f);
		glVertex3f(9.08615f, 0.626373f, 9.02405f);
		glVertex3f(9.32846f, -1.74057f, 10.9175f);
		// Polygon # 327
		glVertex3f(9.32846f, 0.626373f, -5.72449f);
		glVertex3f(9.32846f, 0.626373f, 9.02405f);
		glVertex3f(9.32846f, -1.74057f, 10.9175f);
		// Polygon # 328
		glVertex3f(9.32846f, -1.74057f, -7.74933f);
		glVertex3f(9.32846f, 0.626373f, -5.72449f);
		glVertex3f(9.32846f, -1.74057f, 10.9175f);
		// Polygon # 329
		glVertex3f(9.08615f, 0.626373f, -5.72449f);
		glVertex3f(9.08615f, 0.626373f, 9.02405f);
		glVertex3f(9.08615f, -1.74057f, 10.9175f);
		// Polygon # 330
		glVertex3f(9.08615f, -1.74057f, -7.74933f);
		glVertex3f(9.08615f, 0.626373f, -5.72449f);
		glVertex3f(9.08615f, -1.74057f, 10.9175f);
		// Polygon # 331
		glVertex3f(9.32846f, 0.626373f, 9.02405f);
		glVertex3f(9.08615f, 0.626373f, -5.72449f);
		glVertex3f(9.08615f, 0.626373f, 9.02405f);
		// Polygon # 332
		glVertex3f(9.32846f, 0.626373f, -5.72449f);
		glVertex3f(9.08615f, 0.626373f, -5.72449f);
		glVertex3f(9.32846f, 0.626373f, 9.02405f);
		// Polygon # 333
		glVertex3f(6.45767f, 0.626373f, -7.28821f);
		glVertex3f(6.21536f, 0.626373f, -7.28821f);
		glVertex3f(6.45767f, 0.626373f, 10.5231f);
		// Polygon # 334
		glVertex3f(12.2472f, 0.626373f, 7.68295f);
		glVertex3f(12.0049f, 0.626373f, -5.53406f);
		glVertex3f(12.0049f, 0.626373f, 7.68295f);
		// Polygon # 335
		glVertex3f(12.2472f, 0.626373f, -5.53406f);
		glVertex3f(12.0049f, 0.626373f, -5.53406f);
		glVertex3f(12.2472f, 0.626373f, 7.68295f);
		// Polygon # 336
		glVertex3f(12.2472f, 0.626373f, -5.53406f);
		glVertex3f(12.0049f, 0.626373f, -5.53406f);
		glVertex3f(12.2472f, -1.74057f, -7.35519f);
		// Polygon # 337
		glVertex3f(6.45767f, 0.626373f, -7.28821f);
		glVertex3f(6.21536f, 0.626373f, -7.28821f);
		glVertex3f(6.45767f, -1.74057f, -9.49738f);
		// Polygon # 338
		glVertex3f(6.45767f, -1.74057f, -9.49738f);
		glVertex3f(6.21536f, 0.626373f, -7.28821f);
		glVertex3f(6.21536f, -1.74057f, -9.49738f);
		// Polygon # 339
		glVertex3f(9.32846f, 0.626373f, -5.72449f);
		glVertex3f(9.08615f, 0.626373f, -5.72449f);
		glVertex3f(9.32846f, -1.74057f, -7.74933f);
		// Polygon # 340
		glVertex3f(9.32846f, -1.74057f, -7.74933f);
		glVertex3f(9.08615f, 0.626373f, -5.72449f);
		glVertex3f(9.08615f, -1.74057f, -7.74933f);
		// Polygon # 341
		glVertex3f(3.90274f, -1.81732f, -12.5491f);
		glVertex3f(3.66409f, -1.68396f, -12.5491f);
		glVertex3f(3.86703f, -0.737152f, -10.9599f);
		// Polygon # 342
		glVertex3f(-2.94601f, 0.507813f, 6.07422f);
		glVertex3f(-2.94601f, 0.507813f, 11.9231f);
		glVertex3f(-4.39728f, -1.06552f, 7.04895f);
		// Polygon # 343
		glVertex3f(-4.39728f, -1.06552f, 7.04895f);
		glVertex3f(-2.94601f, 0.507813f, 11.9231f);
		glVertex3f(-4.39728f, -1.06552f, 11.9231f);
		// Polygon # 344
		glVertex3f(-2.94601f, 0.507813f, 11.9231f);
		glVertex3f(-2.94601f, -1.06552f, 16.9551f);
		glVertex3f(-1.49475f, -1.06552f, 21.9872f);
		// Polygon # 345
		glVertex3f(-4.39728f, -1.06552f, 11.9231f);
		glVertex3f(-2.94601f, 0.507813f, 11.9231f);
		glVertex3f(-2.94601f, -1.06552f, 16.9551f);
		// Polygon # 346
		glVertex3f(-2.94601f, -1.06552f, -0.708771f);
		glVertex3f(-2.94601f, 0.507813f, 6.07422f);
		glVertex3f(-4.39728f, -1.06552f, 7.04895f);
		// Polygon # 347
		glVertex3f(-0.769196f, 3.82248f, -0.749359f);
		glVertex3f(-2.94601f, 0.507813f, 6.07422f);
		glVertex3f(-2.94601f, -1.06552f, -0.708771f);
		// Polygon # 348
		glVertex3f(-1.13190f, 3.99994f, 2.66235f);
		glVertex3f(-1.49475f, 4.17755f, 6.07422f);
		glVertex3f(-2.94601f, 0.507813f, 6.07422f);
		// Polygon # 349
		glVertex3f(-4.39728f, -1.06552f, 7.04895f);
		glVertex3f(-6.12564f, -1.06552f, 7.04895f);
		glVertex3f(-4.39728f, -1.06552f, 11.9231f);
		// Polygon # 350
		glVertex3f(-4.39728f, -1.06552f, 7.04895f);
		glVertex3f(-5.80002f, -1.06552f, -0.708771f);
		glVertex3f(-6.12564f, -1.06552f, 7.04895f);
		// Polygon # 351
		glVertex3f(-4.39728f, -1.06552f, 7.04895f);
		glVertex3f(-6.12564f, -1.06552f, 7.04895f);
		glVertex3f(-6.12534f, -1.06552f, 9.77737f);
		// Polygon # 352
		glVertex3f(-2.94601f, -1.06552f, -0.708771f);
		glVertex3f(-5.80002f, -1.06552f, -0.708771f);
		glVertex3f(-4.39728f, -1.06552f, 7.04895f);
		// Polygon # 353
		glVertex3f(-6.12534f, -1.06552f, 9.77737f);
		glVertex3f(-6.12564f, -1.06552f, 7.04895f);
		glVertex3f(-4.39728f, -1.06552f, 11.9231f);
		// Polygon # 354
		glVertex3f(-5.80002f, -1.06552f, -0.708771f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		glVertex3f(-6.12564f, -1.06552f, 7.04895f);
		// Polygon # 355
		glVertex3f(-8.83682f, -1.06552f, 6.40610f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		glVertex3f(-6.12564f, -1.06552f, 7.04895f);
		// Polygon # 356
		glVertex3f(-6.12564f, -1.06552f, 7.04895f);
		glVertex3f(-8.02399f, -1.06552f, 8.46756f);
		glVertex3f(-6.12534f, -1.06552f, 9.77737f);
		// Polygon # 357
		glVertex3f(-1.49475f, -1.06552f, -8.54752f);
		glVertex3f(-4.44550f, -1.06552f, -8.54752f);
		glVertex3f(-2.94601f, -1.06552f, -0.708771f);
		// Polygon # 358
		glVertex3f(-2.94601f, -1.06552f, -0.708771f);
		glVertex3f(-4.44550f, -1.06552f, -8.54752f);
		glVertex3f(-5.80002f, -1.06552f, -0.708771f);
		// Polygon # 359
		glVertex3f(-2.68707f, -1.40305f, -10.6763f);
		glVertex3f(-6.51123f, -1.74057f, -9.57703f);
		glVertex3f(-4.44550f, -1.06552f, -8.54752f);
		// Polygon # 360
		glVertex3f(-4.44550f, -1.06552f, -8.54752f);
		glVertex3f(-6.51123f, -1.74057f, -9.57703f);
		glVertex3f(-7.83325f, -1.06552f, -7.80075f);
		// Polygon # 361
		glVertex3f(-4.44550f, -1.06552f, -8.54752f);
		glVertex3f(-7.83325f, -1.06552f, -7.80075f);
		glVertex3f(-5.80002f, -1.06552f, -0.708771f);
	glEnd();

	// Material attributes for surface 'icp7 greenish b'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.705882f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 362
	glBegin(GL_TRIANGLES);
		glVertex3f(-2.94601f, 0.507813f, 6.07422f);
		glVertex3f(-1.49475f, 2.62939f, 13.1590f);
		glVertex3f(-2.94601f, 0.507813f, 11.9231f);
		// Polygon # 363
		glVertex3f(-2.94601f, 0.507813f, 11.9231f);
		glVertex3f(-1.49475f, 1.43677f, 15.6235f);
		glVertex3f(-1.49475f, 0.244293f, 18.0879f);
		// Polygon # 364
		glVertex3f(-1.49475f, 2.62939f, 13.1590f);
		glVertex3f(-1.49475f, 1.43677f, 15.6235f);
		glVertex3f(-2.94601f, 0.507813f, 11.9231f);
		// Polygon # 365
		glVertex3f(-1.49475f, 4.17755f, 6.07422f);
		glVertex3f(-1.49475f, 3.40347f, 9.61655f);
		glVertex3f(-2.94601f, 0.507813f, 6.07422f);
	glEnd();

	// Material attributes for surface 'icp7 blue 0'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.0199203f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 366
	glBegin(GL_TRIANGLES);
		glVertex3f(-3.05450f, 0.507813f, 11.6150f);
		glVertex3f(-1.54907f, 2.68463f, 13.1383f);
		glVertex3f(-3.05450f, 0.507813f, 11.9231f);
		// Polygon # 367
		glVertex3f(-1.54907f, 2.71362f, 12.9712f);
		glVertex3f(-1.54907f, 2.68463f, 13.1383f);
		glVertex3f(-3.05450f, 0.507813f, 11.6150f);
		// Polygon # 368
		glVertex3f(-1.54907f, 2.74261f, 12.8043f);
		glVertex3f(-1.54907f, 2.71362f, 12.9712f);
		glVertex3f(-3.05450f, 0.507813f, 11.6150f);
		// Polygon # 369
		glVertex3f(-26.6626f, -1.73569f, -20.6802f);
		glVertex3f(-30.2618f, -1.75049f, -19.0962f);
		glVertex3f(-28.9786f, -1.74057f, -17.8329f);
		// Polygon # 370
		glVertex3f(-6.68060f, -1.73798f, 20.8833f);
		glVertex3f(-7.12784f, -1.74057f, 17.4918f);
		glVertex3f(-6.97739f, -1.75049f, 21.7929f);
		// Polygon # 371
		glVertex3f(-6.91895f, -1.16287f, 14.9509f);
		glVertex3f(-7.75452f, -1.74057f, 14.2685f);
		glVertex3f(-7.12784f, -1.74057f, 17.4918f);
		// Polygon # 372
		glVertex3f(-6.68060f, -1.73798f, 17.3936f);
		glVertex3f(-7.75452f, -1.74057f, 14.2685f);
		glVertex3f(-7.12784f, -1.74057f, 17.4918f);
		// Polygon # 373
		glVertex3f(-6.91895f, -1.16287f, 17.3936f);
		glVertex3f(-6.68060f, -1.73798f, 20.8833f);
		glVertex3f(-7.12784f, -1.74057f, 17.4918f);
		// Polygon # 374
		glVertex3f(-6.68060f, -1.73798f, 17.3936f);
		glVertex3f(-6.91895f, -1.16287f, 17.3936f);
		glVertex3f(-7.12784f, -1.74057f, 17.4918f);
		// Polygon # 375
		glVertex3f(-6.68060f, -1.73798f, 17.3936f);
		glVertex3f(-7.12784f, -1.74057f, 17.4918f);
		glVertex3f(-6.68060f, -1.73798f, 20.8833f);
		// Polygon # 376
		glVertex3f(-6.68060f, -1.73798f, 20.8833f);
		glVertex3f(-6.97739f, -1.75049f, 21.7929f);
		glVertex3f(-6.53671f, -1.59409f, 23.9368f);
		// Polygon # 377
		glVertex3f(-17.0480f, -1.73569f, -12.4492f);
		glVertex3f(-17.3117f, -1.06552f, -11.7612f);
		glVertex3f(-16.1208f, -1.74057f, -9.58191f);
		// Polygon # 378
		glVertex3f(-17.3117f, -1.06552f, -11.7612f);
		glVertex3f(-16.3324f, -1.06552f, -8.19183f);
		glVertex3f(-16.1208f, -1.74057f, -9.58191f);
		// Polygon # 379
		glVertex3f(-12.7071f, -1.74057f, -7.43652f);
		glVertex3f(-14.7272f, -1.74545f, -8.14331f);
		glVertex3f(-14.2892f, -1.06552f, -7.01172f);
		// Polygon # 380
		glVertex3f(-14.7272f, -1.74545f, -8.14331f);
		glVertex3f(-16.3324f, -1.06552f, -8.19183f);
		glVertex3f(-14.2892f, -1.06552f, -7.01172f);
		// Polygon # 381
		glVertex3f(-12.8387f, -1.06552f, -6.79321f);
		glVertex3f(-14.2892f, -1.06552f, -7.01172f);
		glVertex3f(-12.7071f, -1.74057f, -7.43652f);
		// Polygon # 382
		glVertex3f(-11.3284f, -1.06552f, -6.69250f);
		glVertex3f(-12.8387f, -1.06552f, -6.79321f);
		glVertex3f(-12.7071f, -1.74057f, -7.43652f);
		// Polygon # 383
		glVertex3f(-6.51123f, -1.74057f, -9.57703f);
		glVertex3f(-7.83325f, -1.06552f, -7.80075f);
		glVertex3f(-10.0853f, -1.74057f, -7.42142f);
		// Polygon # 384
		glVertex3f(-7.83325f, -1.06552f, -7.80075f);
		glVertex3f(-10.0853f, -1.74057f, -7.42142f);
		glVertex3f(-9.77509f, -1.06552f, -6.69250f);
		// Polygon # 385
		glVertex3f(-30.2267f, -1.74057f, -15.3065f);
		glVertex3f(-32.5755f, -1.06552f, -12.6091f);
		glVertex3f(-30.5376f, -1.73569f, -12.4544f);
		// Polygon # 386
		glVertex3f(-28.9786f, -1.74057f, -17.8329f);
		glVertex3f(-32.1953f, -1.06552f, -16.0919f);
		glVertex3f(-30.2267f, -1.74057f, -15.3065f);
		// Polygon # 387
		glVertex3f(-30.2267f, -1.74057f, -15.3065f);
		glVertex3f(-32.1953f, -1.06552f, -16.0919f);
		glVertex3f(-32.5755f, -1.06552f, -12.6091f);
		// Polygon # 388
		glVertex3f(-29.2892f, -1.74057f, -9.57703f);
		glVertex3f(-30.5376f, -1.73569f, -12.4544f);
		glVertex3f(-31.1546f, -1.06552f, -8.78998f);
		// Polygon # 389
		glVertex3f(-29.2892f, -1.74057f, -9.57703f);
		glVertex3f(-31.1546f, -1.06552f, -8.78998f);
		glVertex3f(-28.1406f, -1.06552f, -7.18185f);
		// Polygon # 390
		glVertex3f(-2.01477f, -1.74057f, -16.0284f);
		glVertex3f(-3.87955f, -1.74057f, -12.8052f);
		glVertex3f(-2.68707f, -1.40305f, -10.6763f);
		// Polygon # 391
		glVertex3f(-2.68707f, -1.40305f, -10.6763f);
		glVertex3f(-3.87955f, -1.74057f, -12.8052f);
		glVertex3f(-6.51123f, -1.74057f, -9.57703f);
		// Polygon # 392
		glVertex3f(-30.5376f, -1.73569f, -12.4544f);
		glVertex3f(-32.5755f, -1.06552f, -12.6091f);
		glVertex3f(-31.1546f, -1.06552f, -8.78998f);
		// Polygon # 393
		glVertex3f(-17.0480f, -1.73569f, -12.4492f);
		glVertex3f(-17.3117f, -1.06552f, -11.7612f);
		glVertex3f(-19.3739f, -1.74545f, -9.94781f);
		// Polygon # 394
		glVertex3f(-17.3117f, -1.06552f, -11.7612f);
		glVertex3f(-18.2065f, -1.06552f, -10.3624f);
		glVertex3f(-19.3739f, -1.74545f, -9.94781f);
		// Polygon # 395
		glVertex3f(-18.2065f, -1.06552f, -10.3624f);
		glVertex3f(-19.3739f, -1.74545f, -9.94781f);
		glVertex3f(-19.4121f, -1.06552f, -8.25180f);
		// Polygon # 396
		glVertex3f(-24.4872f, -1.74545f, -8.15323f);
		glVertex3f(-27.5850f, -1.74057f, -8.51425f);
		glVertex3f(-24.4807f, -1.06552f, -6.57883f);
		// Polygon # 397
		glVertex3f(-22.1661f, -1.74057f, -8.51425f);
		glVertex3f(-24.4872f, -1.74545f, -8.15323f);
		glVertex3f(-21.9093f, -1.06552f, -6.94519f);
		// Polygon # 398
		glVertex3f(-19.4121f, -1.06552f, -8.25180f);
		glVertex3f(-22.1661f, -1.74057f, -8.51425f);
		glVertex3f(-21.9093f, -1.06552f, -6.94519f);
		// Polygon # 399
		glVertex3f(-30.2618f, -1.75049f, -19.0962f);
		glVertex3f(-33.8260f, -1.74057f, -16.9507f);
		glVertex3f(-32.1953f, -1.06552f, -16.0919f);
		// Polygon # 400
		glVertex3f(-28.9786f, -1.74057f, -17.8329f);
		glVertex3f(-30.2618f, -1.75049f, -19.0962f);
		glVertex3f(-32.1953f, -1.06552f, -16.0919f);
		// Polygon # 401
		glVertex3f(-32.1953f, -1.06552f, -16.0919f);
		glVertex3f(-33.8260f, -1.74057f, -16.9507f);
		glVertex3f(-34.0244f, -1.06552f, -13.0139f);
		// Polygon # 402
		glVertex3f(-37.2046f, -1.74057f, -14.3440f);
		glVertex3f(-40.2272f, -1.73569f, -11.3365f);
		glVertex3f(-37.9898f, -1.06552f, -9.39590f);
		// Polygon # 403
		glVertex3f(-34.0244f, -1.06552f, -13.0139f);
		glVertex3f(-37.2046f, -1.74057f, -14.3440f);
		glVertex3f(-37.9898f, -1.06552f, -9.39590f);
		// Polygon # 404
		glVertex3f(-37.9898f, -1.06552f, -9.39590f);
		glVertex3f(-40.2272f, -1.73569f, -11.3365f);
		glVertex3f(-42.7487f, -1.74057f, -8.02795f);
		// Polygon # 405
		glVertex3f(-37.9898f, -1.06552f, -9.39590f);
		glVertex3f(-42.7487f, -1.74057f, -8.02795f);
		glVertex3f(-40.8331f, -1.06552f, -5.37582f);
		// Polygon # 406
		glVertex3f(-44.6034f, -1.74057f, -4.49905f);
		glVertex3f(-45.6511f, -1.74057f, -0.809631f);
		glVertex3f(-42.8174f, -1.06552f, -0.551605f);
		// Polygon # 407
		glVertex3f(-40.8331f, -1.06552f, -5.37582f);
		glVertex3f(-44.6034f, -1.74057f, -4.49905f);
		glVertex3f(-42.8174f, -1.06552f, -0.551605f);
		// Polygon # 408
		glVertex3f(-42.8174f, -1.06552f, -0.551605f);
		glVertex3f(-45.6511f, -1.74057f, -0.809631f);
		glVertex3f(-45.7263f, -1.74057f, 2.94495f);
		// Polygon # 409
		glVertex3f(-42.8174f, -1.06552f, -0.551605f);
		glVertex3f(-45.7263f, -1.74057f, 2.94495f);
		glVertex3f(-41.4381f, -1.06552f, 6.28250f);
		// Polygon # 410
		glVertex3f(-41.4381f, -1.06552f, 6.28250f);
		glVertex3f(-44.7037f, -1.74057f, 6.99509f);
		glVertex3f(-42.8038f, -1.74057f, 10.9853f);
		// Polygon # 411
		glVertex3f(-37.3001f, -1.06552f, 11.9107f);
		glVertex3f(-42.8038f, -1.74057f, 10.9853f);
		glVertex3f(-40.1570f, -1.74057f, 14.6848f);
		// Polygon # 412
		glVertex3f(-41.4381f, -1.06552f, 6.28250f);
		glVertex3f(-42.8038f, -1.74057f, 10.9853f);
		glVertex3f(-37.3001f, -1.06552f, 11.9107f);
		// Polygon # 413
		glVertex3f(-33.4196f, -1.06552f, 16.1319f);
		glVertex3f(-36.9238f, -1.74057f, 18.0283f);
		glVertex3f(-33.2195f, -1.74545f, 20.9607f);
		// Polygon # 414
		glVertex3f(-33.4196f, -1.06552f, 16.1319f);
		glVertex3f(-37.3001f, -1.06552f, 11.9107f);
		glVertex3f(-36.9238f, -1.74057f, 18.0283f);
		// Polygon # 415
		glVertex3f(-27.6450f, -1.06552f, 20.3529f);
		glVertex3f(-33.2195f, -1.74545f, 20.9607f);
		glVertex3f(-29.2041f, -1.74057f, 23.3769f);
		// Polygon # 416
		glVertex3f(-27.6450f, -1.06552f, 20.3529f);
		glVertex3f(-33.4196f, -1.06552f, 16.1319f);
		glVertex3f(-33.2195f, -1.74545f, 20.9607f);
		// Polygon # 417
		glVertex3f(-25.5081f, -1.29349f, 21.1839f);
		glVertex3f(-27.6450f, -1.06552f, 20.3529f);
		glVertex3f(-29.2041f, -1.74057f, 23.3769f);
		// Polygon # 418
		glVertex3f(-21.7000f, -1.74057f, 25.0160f);
		glVertex3f(-23.0936f, -1.74057f, 22.1538f);
		glVertex3f(-24.9985f, -1.74545f, 25.2417f);
		// Polygon # 419
		glVertex3f(-23.0936f, -1.74057f, 22.1538f);
		glVertex3f(-25.5081f, -1.29349f, 21.1839f);
		glVertex3f(-24.9985f, -1.74545f, 25.2417f);
		// Polygon # 420
		glVertex3f(-23.2489f, -1.74057f, 18.5846f);
		glVertex3f(-23.9000f, -1.06552f, 20.2975f);
		glVertex3f(-23.0936f, -1.74057f, 22.1538f);
		// Polygon # 421
		glVertex3f(-22.6323f, -1.73569f, 15.7124f);
		glVertex3f(-24.3311f, -1.06552f, 16.8059f);
		glVertex3f(-23.2489f, -1.74057f, 18.5846f);
		// Polygon # 422
		glVertex3f(-24.3311f, -1.06552f, 16.8059f);
		glVertex3f(-24.5035f, -1.06552f, 18.4140f);
		glVertex3f(-23.2489f, -1.74057f, 18.5846f);
		// Polygon # 423
		glVertex3f(-23.2489f, -1.74057f, 18.5846f);
		glVertex3f(-24.5035f, -1.06552f, 18.4140f);
		glVertex3f(-23.9000f, -1.06552f, 20.2975f);
		// Polygon # 424
		glVertex3f(-20.7675f, -1.74057f, 12.4892f);
		glVertex3f(-22.9518f, -1.06552f, 13.1879f);
		glVertex3f(-22.6323f, -1.73569f, 15.7124f);
		// Polygon # 425
		glVertex3f(-22.6323f, -1.73569f, 15.7124f);
		glVertex3f(-23.9862f, -1.06552f, 15.1979f);
		glVertex3f(-24.3311f, -1.06552f, 16.8059f);
		// Polygon # 426
		glVertex3f(-18.6021f, -1.74057f, 10.3436f);
		glVertex3f(-20.7104f, -1.06552f, 10.1727f);
		glVertex3f(-20.7675f, -1.74057f, 12.4892f);
		// Polygon # 427
		glVertex3f(-20.7104f, -1.06552f, 10.1727f);
		glVertex3f(-22.0035f, -1.06552f, 11.5797f);
		glVertex3f(-20.7675f, -1.74057f, 12.4892f);
		// Polygon # 428
		glVertex3f(-20.7675f, -1.74057f, 12.4892f);
		glVertex3f(-22.0035f, -1.06552f, 11.5797f);
		glVertex3f(-22.9518f, -1.06552f, 13.1879f);
		// Polygon # 429
		glVertex3f(-16.9572f, -1.06552f, 8.24265f);
		glVertex3f(-19.2448f, -1.06552f, 9.16779f);
		glVertex3f(-18.6021f, -1.74057f, 10.3436f);
		// Polygon # 430
		glVertex3f(-19.2448f, -1.06552f, 9.16779f);
		glVertex3f(-20.7104f, -1.06552f, 10.1727f);
		glVertex3f(-18.6021f, -1.74057f, 10.3436f);
		// Polygon # 431
		glVertex3f(-21.9093f, -1.06552f, -6.94519f);
		glVertex3f(-24.4872f, -1.74545f, -8.15323f);
		glVertex3f(-24.4807f, -1.06552f, -6.57883f);
		// Polygon # 432
		glVertex3f(-6.91895f, -1.16287f, 11.9379f);
		glVertex3f(-8.83713f, -1.73569f, 11.7773f);
		glVertex3f(-7.75452f, -1.74057f, 14.2685f);
		// Polygon # 433
		glVertex3f(-8.53607f, -1.06552f, 10.6627f);
		glVertex3f(-9.81766f, -1.06552f, 9.80850f);
		glVertex3f(-8.83713f, -1.73569f, 11.7773f);
		// Polygon # 434
		glVertex3f(-9.81766f, -1.06552f, 9.80850f);
		glVertex3f(-11.1581f, -1.73065f, 9.96765f);
		glVertex3f(-8.83713f, -1.73569f, 11.7773f);
		// Polygon # 435
		glVertex3f(-6.91895f, -1.16287f, 11.9379f);
		glVertex3f(-7.75452f, -1.74057f, 14.2685f);
		glVertex3f(-6.91895f, -1.16287f, 14.9509f);
		// Polygon # 436
		glVertex3f(-0.762634f, -1.33026f, -15.0333f);
		glVertex3f(-2.01477f, -1.74057f, -16.0284f);
		glVertex3f(-2.68707f, -1.40305f, -10.6763f);
		// Polygon # 437
		glVertex3f(-4.18900f, 0.0413513f, 20.8833f);
		glVertex3f(-5.09277f, -0.215302f, 17.3936f);
		glVertex3f(-5.29846f, -0.390320f, 20.8833f);
		// Polygon # 438
		glVertex3f(-5.09277f, -0.215302f, 17.3936f);
		glVertex3f(-6.03058f, 0.172119f, 17.3936f);
		glVertex3f(-6.06583f, -0.0732422f, 20.8833f);
		// Polygon # 439
		glVertex3f(-5.09277f, -0.215302f, 17.3936f);
		glVertex3f(-6.03058f, 0.172119f, 14.9509f);
		glVertex3f(-6.03058f, 0.172119f, 17.3936f);
		// Polygon # 440
		glVertex3f(-5.09277f, -0.215302f, 14.9509f);
		glVertex3f(-6.03058f, 0.172119f, 14.9509f);
		glVertex3f(-5.09277f, -0.215302f, 17.3936f);
		// Polygon # 441
		glVertex3f(-3.98331f, 0.216370f, 17.3936f);
		glVertex3f(-3.98331f, 0.216370f, 14.9509f);
		glVertex3f(-5.09277f, -0.215302f, 17.3936f);
		// Polygon # 442
		glVertex3f(-3.98331f, 0.216370f, 17.3936f);
		glVertex3f(-5.09277f, -0.215302f, 17.3936f);
		glVertex3f(-4.18900f, 0.0413513f, 20.8833f);
		// Polygon # 443
		glVertex3f(-5.29846f, -0.390320f, 20.8833f);
		glVertex3f(-5.67383f, -0.731201f, 23.9368f);
		glVertex3f(-6.10550f, -0.552673f, 23.9368f);
		// Polygon # 444
		glVertex3f(-4.56436f, -0.299530f, 23.9368f);
		glVertex3f(-5.29846f, -0.390320f, 20.8833f);
		glVertex3f(-5.67383f, -0.731201f, 23.9368f);
		// Polygon # 445
		glVertex3f(-4.18900f, 0.0413513f, 20.8833f);
		glVertex3f(-5.29846f, -0.390320f, 20.8833f);
		glVertex3f(-4.37668f, -0.129089f, 22.4100f);
		// Polygon # 446
		glVertex3f(-4.37668f, -0.129089f, 22.4100f);
		glVertex3f(-5.29846f, -0.390320f, 20.8833f);
		glVertex3f(-4.56436f, -0.299530f, 23.9368f);
		// Polygon # 447
		glVertex3f(-5.67383f, -0.731201f, 23.9368f);
		glVertex3f(-6.10550f, -1.16287f, 28.2988f);
		glVertex3f(-6.10550f, -1.16287f, 28.2988f);
		// Polygon # 448
		glVertex3f(-4.56436f, -0.299530f, 23.9368f);
		glVertex3f(-5.67383f, -0.731201f, 23.9368f);
		glVertex3f(-6.10550f, -1.16287f, 28.2988f);
		// Polygon # 449
		glVertex3f(-6.10550f, -1.77261f, 23.9368f);
		glVertex3f(-6.53671f, -1.59409f, 23.9368f);
		glVertex3f(-6.10550f, -1.16287f, 28.2988f);
		// Polygon # 450
		glVertex3f(-5.67444f, -1.59393f, 23.9368f);
		glVertex3f(-6.10550f, -1.77261f, 23.9368f);
		glVertex3f(-6.10550f, -1.16287f, 28.2988f);
		// Polygon # 451
		glVertex3f(-6.10550f, -0.552673f, 23.9368f);
		glVertex3f(-6.10550f, -1.16287f, 28.2988f);
		glVertex3f(-6.10550f, -1.16287f, 28.2988f);
		// Polygon # 452
		glVertex3f(-6.96808f, -0.216064f, 14.9509f);
		glVertex3f(-6.03058f, 0.172119f, 17.3936f);
		glVertex3f(-6.91895f, -1.16287f, 17.3936f);
		// Polygon # 453
		glVertex3f(-6.03058f, 0.172119f, 14.9509f);
		glVertex3f(-6.96808f, -0.216064f, 14.9509f);
		glVertex3f(-6.03058f, 0.172119f, 17.3936f);
		// Polygon # 454
		glVertex3f(-6.91895f, -1.16287f, 20.8833f);
		glVertex3f(-6.71539f, -1.16287f, 23.9368f);
		glVertex3f(-6.53671f, -1.59409f, 23.9368f);
		// Polygon # 455
		glVertex3f(-6.91895f, -1.16287f, 17.3936f);
		glVertex3f(-6.91895f, -1.16287f, 20.8833f);
		glVertex3f(-6.68060f, -1.73798f, 20.8833f);
		// Polygon # 456
		glVertex3f(-6.91895f, -1.16287f, 20.8833f);
		glVertex3f(-6.53671f, -1.59409f, 23.9368f);
		glVertex3f(-6.68060f, -1.73798f, 20.8833f);
		// Polygon # 457
		glVertex3f(-6.96808f, -0.216064f, 14.9509f);
		glVertex3f(-6.96869f, -0.224609f, 17.3889f);
		glVertex3f(-6.91895f, -1.16287f, 17.3936f);
		// Polygon # 458
		glVertex3f(-6.91895f, -1.16287f, 17.3936f);
		glVertex3f(-6.68060f, -1.73798f, 17.3936f);
		glVertex3f(-6.68060f, -1.73798f, 20.8833f);
		// Polygon # 459
		glVertex3f(-6.03058f, 0.172119f, 14.9509f);
		glVertex3f(-6.96808f, -0.216064f, 11.9379f);
		glVertex3f(-6.96808f, -0.216064f, 14.9509f);
		// Polygon # 460
		glVertex3f(-6.91895f, -1.16287f, 11.9379f);
		glVertex3f(-6.96808f, -0.216064f, 14.9509f);
		glVertex3f(-6.91895f, -1.16287f, 14.9509f);
		// Polygon # 461
		glVertex3f(-5.09277f, -0.215302f, 14.9509f);
		glVertex3f(-6.03058f, 0.172119f, 11.9379f);
		glVertex3f(-6.03058f, 0.172119f, 14.9509f);
		// Polygon # 462
		glVertex3f(-6.03058f, 0.172119f, 11.9379f);
		glVertex3f(-6.96808f, -0.216064f, 11.9379f);
		glVertex3f(-6.03058f, 0.172119f, 14.9509f);
		// Polygon # 463
		glVertex3f(-3.98331f, 0.216370f, 14.9509f);
		glVertex3f(-5.09277f, -0.215302f, 11.9379f);
		glVertex3f(-5.09277f, -0.215302f, 14.9509f);
		// Polygon # 464
		glVertex3f(-5.09277f, -0.215302f, 11.9379f);
		glVertex3f(-6.03058f, 0.172119f, 11.9379f);
		glVertex3f(-5.09277f, -0.215302f, 14.9509f);
		// Polygon # 465
		glVertex3f(-3.98331f, 0.216370f, 17.3936f);
		glVertex3f(-3.11844f, -0.696564f, 19.1031f);
		glVertex3f(-2.94601f, -1.06552f, 16.9551f);
		// Polygon # 466
		glVertex3f(-3.11844f, -0.696564f, 19.1031f);
		glVertex3f(-3.98331f, 0.216370f, 17.3936f);
		glVertex3f(-4.18900f, 0.0413513f, 20.8833f);
		// Polygon # 467
		glVertex3f(-4.39728f, -1.06552f, 11.9231f);
		glVertex3f(-3.98331f, 0.216370f, 14.9509f);
		glVertex3f(-2.94601f, -1.06552f, 16.9551f);
		// Polygon # 468
		glVertex3f(-5.09277f, -0.215302f, 11.9379f);
		glVertex3f(-3.98331f, 0.216370f, 14.9509f);
		glVertex3f(-4.39728f, -1.06552f, 11.9231f);
		// Polygon # 469
		glVertex3f(-2.39273f, -0.696564f, 21.6191f);
		glVertex3f(-3.29086f, -0.327606f, 21.2512f);
		glVertex3f(-4.37668f, -0.129089f, 22.4100f);
		// Polygon # 470
		glVertex3f(-2.39273f, -0.696564f, 21.6191f);
		glVertex3f(-3.11844f, -0.696564f, 19.1031f);
		glVertex3f(-1.49475f, -1.06552f, 21.9872f);
		// Polygon # 471
		glVertex3f(-1.49475f, -1.06552f, 21.9872f);
		glVertex3f(-2.39273f, -0.696564f, 21.6191f);
		glVertex3f(-4.37668f, -0.129089f, 22.4100f);
		// Polygon # 472
		glVertex3f(-3.11844f, -0.696564f, 19.1031f);
		glVertex3f(-4.18900f, 0.0413513f, 20.8833f);
		glVertex3f(-3.29086f, -0.327606f, 21.2512f);
		// Polygon # 473
		glVertex3f(-2.94601f, -1.06552f, 16.9551f);
		glVertex3f(-3.11844f, -0.696564f, 19.1031f);
		glVertex3f(-1.49475f, -1.06552f, 21.9872f);
		// Polygon # 474
		glVertex3f(1.42426f, 0.244293f, 18.0879f);
		glVertex3f(-0.0352478f, 0.639954f, 18.0879f);
		glVertex3f(-1.49475f, -1.06552f, 21.9872f);
		// Polygon # 475
		glVertex3f(-0.0352478f, 0.639954f, 18.0879f);
		glVertex3f(-1.49475f, 0.244293f, 18.0879f);
		glVertex3f(-1.49475f, -1.06552f, 21.9872f);
		// Polygon # 476
		glVertex3f(-6.12534f, -1.06552f, 9.77737f);
		glVertex3f(-5.09277f, -0.215302f, 11.9379f);
		glVertex3f(-4.39728f, -1.06552f, 11.9231f);
		// Polygon # 477
		glVertex3f(-6.12534f, -1.06552f, 9.77737f);
		glVertex3f(-6.96808f, -0.216064f, 11.9379f);
		glVertex3f(-6.91895f, -1.16287f, 11.9379f);
		// Polygon # 478
		glVertex3f(-5.09277f, -0.215302f, 11.9379f);
		glVertex3f(-6.12534f, -1.06552f, 9.77737f);
		glVertex3f(-6.03058f, 0.172119f, 11.9379f);
		// Polygon # 479
		glVertex3f(-6.12534f, -1.06552f, 9.77737f);
		glVertex3f(-8.53607f, -1.06552f, 10.6627f);
		glVertex3f(-6.91895f, -1.16287f, 11.9379f);
		// Polygon # 480
		glVertex3f(-6.10077f, -1.15860f, 23.8972f);
		glVertex3f(-6.10550f, -0.552673f, 23.9368f);
		glVertex3f(-6.10550f, -1.16287f, 28.2988f);
		// Polygon # 481
		glVertex3f(-6.06583f, -0.0732422f, 20.8833f);
		glVertex3f(-6.10550f, -0.552673f, 23.9368f);
		glVertex3f(-6.10077f, -1.15860f, 23.8972f);
		// Polygon # 482
		glVertex3f(-6.03058f, 0.172119f, 17.3936f);
		glVertex3f(-6.06583f, -0.0732422f, 20.8833f);
		glVertex3f(-6.10016f, -1.17203f, 20.8112f);
		// Polygon # 483
		glVertex3f(-6.06583f, -0.0732422f, 20.8833f);
		glVertex3f(-6.10077f, -1.15860f, 23.8972f);
		glVertex3f(-6.10016f, -1.17203f, 20.8112f);
		// Polygon # 484
		glVertex3f(-6.34109f, -0.687714f, 17.3349f);
		glVertex3f(-6.03058f, 0.172119f, 17.3936f);
		glVertex3f(-6.10016f, -1.17203f, 20.8112f);
		// Polygon # 485
		glVertex3f(-6.34109f, -0.687714f, 17.3349f);
		glVertex3f(-6.91895f, -1.16287f, 17.3936f);
		glVertex3f(-6.91895f, -1.16287f, 20.8833f);
		// Polygon # 486
		glVertex3f(-6.10016f, -1.17203f, 20.8112f);
		glVertex3f(-6.10077f, -1.15860f, 23.8972f);
		glVertex3f(-6.71539f, -1.16287f, 23.9368f);
		// Polygon # 487
		glVertex3f(-6.10016f, -1.17203f, 20.8112f);
		glVertex3f(-6.91895f, -1.16287f, 20.8833f);
		glVertex3f(-6.71539f, -1.16287f, 23.9368f);
		// Polygon # 488
		glVertex3f(-6.10550f, -1.77261f, 23.9368f);
		glVertex3f(-6.68060f, -1.73798f, 20.8833f);
		glVertex3f(-6.53671f, -1.59409f, 23.9368f);
		// Polygon # 489
		glVertex3f(-6.10550f, -1.97617f, 20.8833f);
		glVertex3f(-6.68060f, -1.73798f, 20.8833f);
		glVertex3f(-6.10550f, -1.77261f, 23.9368f);
		// Polygon # 490
		glVertex3f(-6.10550f, -1.97617f, 17.3936f);
		glVertex3f(-6.68060f, -1.73798f, 17.3936f);
		glVertex3f(-6.10550f, -1.97617f, 20.8833f);
		// Polygon # 491
		glVertex3f(-5.53055f, -1.73782f, 20.8833f);
		glVertex3f(-6.10550f, -1.97617f, 17.3936f);
		glVertex3f(-6.10550f, -1.97617f, 20.8833f);
		// Polygon # 492
		glVertex3f(-5.53055f, -1.73782f, 17.3936f);
		glVertex3f(-6.10550f, -1.97617f, 17.3936f);
		glVertex3f(-5.53055f, -1.73782f, 20.8833f);
		// Polygon # 493
		glVertex3f(-5.53055f, -1.73782f, 20.8833f);
		glVertex3f(-6.10550f, -1.97617f, 20.8833f);
		glVertex3f(-5.67444f, -1.59393f, 23.9368f);
		// Polygon # 494
		glVertex3f(-4.92767f, 0.364990f, -8.97644f);
		glVertex3f(-4.81903f, 0.578918f, 12.1509f);
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		// Polygon # 495
		glVertex3f(-4.81903f, 0.578918f, 12.1509f);
		glVertex3f(-5.03799f, 0.398407f, 12.1509f);
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		// Polygon # 496
		glVertex3f(-4.37714f, -0.0271606f, -9.78775f);
		glVertex3f(-4.92767f, 0.364990f, -8.97644f);
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		// Polygon # 497
		glVertex3f(-4.37714f, -0.0271606f, -9.78775f);
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		glVertex3f(-3.93753f, -0.737152f, -10.9599f);
		// Polygon # 498
		glVertex3f(-4.37714f, -0.0271606f, -9.78775f);
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		glVertex3f(-4.17618f, -0.870514f, -10.9599f);
		// Polygon # 499
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		glVertex3f(-5.03799f, 0.398407f, 12.1509f);
		glVertex3f(-4.45938f, -0.160522f, 14.9077f);
		// Polygon # 500
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		glVertex3f(-4.61578f, -0.160522f, -9.78775f);
		glVertex3f(-4.45938f, -0.160522f, 14.9077f);
		// Polygon # 501
		glVertex3f(-3.93753f, -0.737152f, -10.9599f);
		glVertex3f(-4.17618f, -0.870514f, -10.9599f);
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		// Polygon # 502
		glVertex3f(-3.93753f, -0.737152f, -10.9599f);
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		glVertex3f(-3.97324f, -1.81732f, -12.5491f);
		// Polygon # 503
		glVertex3f(-3.93753f, -0.737152f, -10.9599f);
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		glVertex3f(-3.73459f, -1.68396f, -12.5491f);
		// Polygon # 504
		glVertex3f(-4.17618f, -0.870514f, -10.9599f);
		glVertex3f(-4.21356f, -0.0271606f, 14.9077f);
		glVertex3f(-3.97324f, -1.81732f, -12.5491f);
		// Polygon # 505
		glVertex3f(-5.44846f, 0.780945f, -8.29819f);
		glVertex3f(-5.85678f, 0.780945f, 10.9619f);
		glVertex3f(-4.81903f, 0.578918f, 12.1509f);
		// Polygon # 506
		glVertex3f(-5.85678f, 0.780945f, 10.9619f);
		glVertex3f(-6.02951f, 0.584717f, 10.9619f);
		glVertex3f(-4.81903f, 0.578918f, 12.1509f);
		// Polygon # 507
		glVertex3f(-4.92767f, 0.364990f, -8.97644f);
		glVertex3f(-5.44846f, 0.780945f, -8.29819f);
		glVertex3f(-4.81903f, 0.578918f, 12.1509f);
		// Polygon # 508
		glVertex3f(-4.81903f, 0.578918f, 12.1509f);
		glVertex3f(-6.02951f, 0.584717f, 10.9619f);
		glVertex3f(-5.03799f, 0.398407f, 12.1509f);
		// Polygon # 509
		glVertex3f(-5.85678f, 0.780945f, 10.9619f);
		glVertex3f(-8.35617f, 0.780945f, 9.61304f);
		glVertex3f(-8.41782f, 0.584717f, 9.61304f);
		// Polygon # 510
		glVertex3f(-5.44846f, 0.780945f, -8.29819f);
		glVertex3f(-7.41104f, 0.780945f, -6.64978f);
		glVertex3f(-5.85678f, 0.780945f, 10.9619f);
		// Polygon # 511
		glVertex3f(-5.85678f, 0.780945f, 10.9619f);
		glVertex3f(-6.02951f, 0.584717f, 10.9619f);
		glVertex3f(-8.41782f, 0.584717f, 9.61304f);
		// Polygon # 512
		glVertex3f(-10.8362f, 0.780945f, -5.34821f);
		glVertex3f(-11.1020f, 0.780945f, 8.32458f);
		glVertex3f(-8.35617f, 0.780945f, 9.61304f);
		// Polygon # 513
		glVertex3f(-7.41104f, 0.780945f, -6.64978f);
		glVertex3f(-10.8362f, 0.780945f, -5.34821f);
		glVertex3f(-8.35617f, 0.780945f, 9.61304f);
		// Polygon # 514
		glVertex3f(-8.35617f, 0.780945f, 9.61304f);
		glVertex3f(-8.41782f, 0.584717f, 9.61304f);
		glVertex3f(-11.0414f, 0.584717f, 8.32458f);
		// Polygon # 515
		glVertex3f(-14.3173f, 0.780945f, 6.91040f);
		glVertex3f(-14.3173f, 0.780945f, -5.95459f);
		glVertex3f(-11.1020f, 0.780945f, 8.32458f);
		// Polygon # 516
		glVertex3f(-11.1020f, 0.780945f, 8.32458f);
		glVertex3f(-14.3173f, 0.780945f, 6.91040f);
		glVertex3f(-14.1138f, 0.584717f, 6.91040f);
		// Polygon # 517
		glVertex3f(-11.0414f, 0.584717f, 8.32458f);
		glVertex3f(-11.1020f, 0.780945f, 8.32458f);
		glVertex3f(-14.1138f, 0.584717f, 6.91040f);
		// Polygon # 518
		glVertex3f(-14.3173f, 0.780945f, 6.91040f);
		glVertex3f(-14.9226f, 0.680695f, -6.19171f);
		glVertex3f(-14.9226f, 0.543060f, 7.01141f);
		// Polygon # 519
		glVertex3f(-14.3173f, 0.780945f, 6.91040f);
		glVertex3f(-14.9226f, 0.543060f, 7.01141f);
		glVertex3f(-14.6922f, 0.365295f, 7.01141f);
		// Polygon # 520
		glVertex3f(-14.3173f, 0.780945f, -5.95459f);
		glVertex3f(-14.9226f, 0.680695f, -6.19171f);
		glVertex3f(-14.3173f, 0.780945f, 6.91040f);
		// Polygon # 521
		glVertex3f(-15.1822f, 0.104675f, -6.69708f);
		glVertex3f(-14.9226f, 0.543060f, 7.01141f);
		glVertex3f(-15.1822f, 0.0379944f, 7.58728f);
		// Polygon # 522
		glVertex3f(-14.9226f, 0.543060f, 7.01141f);
		glVertex3f(-15.1822f, 0.0379944f, 7.58728f);
		glVertex3f(-14.9402f, -0.100403f, 7.58728f);
		// Polygon # 523
		glVertex3f(-14.9226f, 0.680695f, -6.19171f);
		glVertex3f(-14.9226f, 0.543060f, 7.01141f);
		glVertex3f(-15.1822f, 0.104675f, -6.69708f);
		// Polygon # 524
		glVertex3f(-14.6922f, 0.365295f, 7.01141f);
		glVertex3f(-14.9226f, 0.543060f, 7.01141f);
		glVertex3f(-14.9402f, -0.100403f, 7.58728f);
		// Polygon # 525
		glVertex3f(-15.0227f, -0.752411f, 8.40881f);
		glVertex3f(-15.1822f, 0.0379944f, 7.58728f);
		glVertex3f(-15.2686f, -0.669098f, 8.40881f);
		// Polygon # 526
		glVertex3f(-15.1822f, 0.104675f, -6.69708f);
		glVertex3f(-15.1822f, 0.0379944f, 7.58728f);
		glVertex3f(-15.2686f, -0.716705f, -7.42355f);
		// Polygon # 527
		glVertex3f(-14.9402f, -0.100403f, 7.58728f);
		glVertex3f(-15.1822f, 0.0379944f, 7.58728f);
		glVertex3f(-15.0227f, -0.752411f, 8.40881f);
		// Polygon # 528
		glVertex3f(-15.2686f, -0.716705f, -7.42355f);
		glVertex3f(-15.2686f, -0.669098f, 8.40881f);
		glVertex3f(-15.1884f, -1.74057f, 9.26086f);
		// Polygon # 529
		glVertex3f(-15.0227f, -0.752411f, 8.40881f);
		glVertex3f(-15.2686f, -0.669098f, 8.40881f);
		glVertex3f(-14.9461f, -1.74057f, 9.26086f);
		// Polygon # 530
		glVertex3f(-15.1822f, 0.104675f, -6.69708f);
		glVertex3f(-15.2686f, -0.716705f, -7.42355f);
		glVertex3f(-15.0227f, -0.796356f, -7.42355f);
		// Polygon # 531
		glVertex3f(-15.1884f, -1.74057f, -8.32184f);
		glVertex3f(-15.2686f, -0.716705f, -7.42355f);
		glVertex3f(-15.1884f, -1.74057f, 9.26086f);
		// Polygon # 532
		glVertex3f(-15.0227f, -0.796356f, -7.42355f);
		glVertex3f(-15.2686f, -0.716705f, -7.42355f);
		glVertex3f(-15.1884f, -1.74057f, -8.32184f);
		// Polygon # 533
		glVertex3f(-14.9402f, -0.0389099f, -6.69708f);
		glVertex3f(-15.1822f, 0.104675f, -6.69708f);
		glVertex3f(-15.0227f, -0.796356f, -7.42355f);
		// Polygon # 534
		glVertex3f(-14.3173f, 0.780945f, -5.95459f);
		glVertex3f(-14.9226f, 0.680695f, -6.19171f);
		glVertex3f(-14.6922f, 0.492249f, -6.19171f);
		// Polygon # 535
		glVertex3f(-14.6922f, 0.492249f, -6.19171f);
		glVertex3f(-14.9226f, 0.680695f, -6.19171f);
		glVertex3f(-14.9402f, -0.0389099f, -6.69708f);
		// Polygon # 536
		glVertex3f(-10.8362f, 0.780945f, -5.34821f);
		glVertex3f(-14.3173f, 0.780945f, -5.95459f);
		glVertex3f(-14.1138f, 0.584717f, -5.95459f);
		// Polygon # 537
		glVertex3f(-7.41104f, 0.780945f, -6.64978f);
		glVertex3f(-10.8362f, 0.780945f, -5.34821f);
		glVertex3f(-10.7874f, 0.584717f, -5.34821f);
		// Polygon # 538
		glVertex3f(-10.7874f, 0.584717f, -5.34821f);
		glVertex3f(-10.8362f, 0.780945f, -5.34821f);
		glVertex3f(-14.1138f, 0.584717f, -5.95459f);
		// Polygon # 539
		glVertex3f(-5.44846f, 0.780945f, -8.29819f);
		glVertex3f(-7.41104f, 0.780945f, -6.64978f);
		glVertex3f(-7.51465f, 0.584717f, -6.64978f);
		// Polygon # 540
		glVertex3f(-7.41104f, 0.780945f, -6.64978f);
		glVertex3f(-7.51465f, 0.584717f, -6.64978f);
		glVertex3f(-10.7874f, 0.584717f, -5.34821f);
		// Polygon # 541
		glVertex3f(-5.44846f, 0.780945f, -8.29819f);
		glVertex3f(-5.63934f, 0.584717f, -8.29819f);
		glVertex3f(-7.51465f, 0.584717f, -6.64978f);
		// Polygon # 542
		glVertex3f(-4.92767f, 0.364990f, -8.97644f);
		glVertex3f(-5.14175f, 0.201111f, -8.97644f);
		glVertex3f(-4.37714f, -0.0271606f, -9.78775f);
		// Polygon # 543
		glVertex3f(-4.92767f, 0.364990f, -8.97644f);
		glVertex3f(-5.63934f, 0.584717f, -8.29819f);
		glVertex3f(-5.14175f, 0.201111f, -8.97644f);
		// Polygon # 544
		glVertex3f(-4.37714f, -0.0271606f, -9.78775f);
		glVertex3f(-4.61578f, -0.160522f, -9.78775f);
		glVertex3f(-5.14175f, 0.201111f, -8.97644f);
		// Polygon # 545
		glVertex3f(-3.93753f, -0.737152f, -10.9599f);
		glVertex3f(-4.17618f, -0.870514f, -10.9599f);
		glVertex3f(-4.37714f, -0.0271606f, -9.78775f);
		// Polygon # 546
		glVertex3f(-0.762634f, -1.33026f, -15.0333f);
		glVertex3f(-2.68707f, -1.40305f, -10.6763f);
		glVertex3f(-1.49475f, -1.06552f, -8.54752f);
		// Polygon # 547
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		glVertex3f(-19.6822f, -1.06552f, 3.83530f);
		glVertex3f(-16.9708f, -1.06552f, 4.47800f);
		// Polygon # 548
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		glVertex3f(-24.3692f, -1.06552f, -2.56165f);
		glVertex3f(-19.6822f, -1.06552f, 3.83530f);
		// Polygon # 549
		glVertex3f(-18.3829f, -1.06552f, 6.83014f);
		glVertex3f(-19.6822f, -1.06552f, 3.83530f);
		glVertex3f(-20.8829f, -1.06552f, 7.83524f);
		// Polygon # 550
		glVertex3f(-19.6822f, -1.06552f, 3.83530f);
		glVertex3f(-25.7484f, -1.06552f, 4.27246f);
		glVertex3f(-20.8829f, -1.06552f, 7.83524f);
		// Polygon # 551
		glVertex3f(-19.6822f, -1.06552f, 3.83530f);
		glVertex3f(-24.3692f, -1.06552f, -2.56165f);
		glVertex3f(-25.7484f, -1.06552f, 4.27246f);
		// Polygon # 552
		glVertex3f(-11.3284f, -1.06552f, -6.69250f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		glVertex3f(-5.80002f, -1.06552f, -0.708771f);
		// Polygon # 553
		glVertex3f(-17.3117f, -1.06552f, -11.7612f);
		glVertex3f(-18.2065f, -1.06552f, -10.3624f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		// Polygon # 554
		glVertex3f(-14.2892f, -1.06552f, -7.01172f);
		glVertex3f(-16.3324f, -1.06552f, -8.19183f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		// Polygon # 555
		glVertex3f(-12.8387f, -1.06552f, -6.79321f);
		glVertex3f(-14.2892f, -1.06552f, -7.01172f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		// Polygon # 556
		glVertex3f(-11.3284f, -1.06552f, -6.69250f);
		glVertex3f(-12.8387f, -1.06552f, -6.79321f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		// Polygon # 557
		glVertex3f(-14.2595f, -1.06552f, 5.12070f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		glVertex3f(-11.5482f, -1.06552f, 5.76340f);
		// Polygon # 558
		glVertex3f(-16.9708f, -1.06552f, 4.47800f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		glVertex3f(-14.2595f, -1.06552f, 5.12070f);
		// Polygon # 559
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		glVertex3f(-24.5416f, -1.06552f, -5.37567f);
		glVertex3f(-24.3692f, -1.06552f, -2.56165f);
		// Polygon # 560
		glVertex3f(-21.9093f, -1.06552f, -6.94519f);
		glVertex3f(-24.5416f, -1.06552f, -5.37567f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		// Polygon # 561
		glVertex3f(-18.2065f, -1.06552f, -10.3624f);
		glVertex3f(-19.4121f, -1.06552f, -8.25180f);
		glVertex3f(-18.6662f, -1.06552f, -3.92242f);
		// Polygon # 562
		glVertex3f(-7.83325f, -1.06552f, -7.80075f);
		glVertex3f(-9.77509f, -1.06552f, -6.69250f);
		glVertex3f(-5.80002f, -1.06552f, -0.708771f);
		// Polygon # 563
		glVertex3f(-9.77509f, -1.06552f, -6.69250f);
		glVertex3f(-11.3284f, -1.06552f, -6.69250f);
		glVertex3f(-5.80002f, -1.06552f, -0.708771f);
		// Polygon # 564
		glVertex3f(-14.2722f, -1.06552f, 8.10043f);
		glVertex3f(-16.9572f, -1.06552f, 8.24265f);
		glVertex3f(-15.1884f, -1.74057f, 9.26086f);
		// Polygon # 565
		glVertex3f(-15.8340f, -1.06552f, 6.15021f);
		glVertex3f(-18.3829f, -1.06552f, 6.83014f);
		glVertex3f(-16.9572f, -1.06552f, 8.24265f);
		// Polygon # 566
		glVertex3f(-16.9572f, -1.06552f, 8.24265f);
		glVertex3f(-18.3829f, -1.06552f, 6.83014f);
		glVertex3f(-19.2448f, -1.06552f, 9.16779f);
		// Polygon # 567
		glVertex3f(-12.7466f, -1.06552f, 8.52737f);
		glVertex3f(-14.2722f, -1.06552f, 8.10043f);
		glVertex3f(-13.1122f, -1.73553f, 9.47205f);
		// Polygon # 568
		glVertex3f(-13.2019f, -1.06552f, 6.55319f);
		glVertex3f(-14.2722f, -1.06552f, 8.10043f);
		glVertex3f(-12.7466f, -1.06552f, 8.52737f);
		// Polygon # 569
		glVertex3f(-13.2019f, -1.06552f, 6.55319f);
		glVertex3f(-15.8340f, -1.06552f, 6.15021f);
		glVertex3f(-14.2722f, -1.06552f, 8.10043f);
		// Polygon # 570
		glVertex3f(-11.2212f, -1.06552f, 8.95447f);
		glVertex3f(-12.7466f, -1.06552f, 8.52737f);
		glVertex3f(-13.1122f, -1.73553f, 9.47205f);
		// Polygon # 571
		glVertex3f(-10.4404f, -1.06552f, 7.35931f);
		glVertex3f(-12.7466f, -1.06552f, 8.52737f);
		glVertex3f(-11.2212f, -1.06552f, 8.95447f);
		// Polygon # 572
		glVertex3f(-10.4404f, -1.06552f, 7.35931f);
		glVertex3f(-13.2019f, -1.06552f, 6.55319f);
		glVertex3f(-12.7466f, -1.06552f, 8.52737f);
		// Polygon # 573
		glVertex3f(-10.4404f, -1.06552f, 7.35931f);
		glVertex3f(-11.2212f, -1.06552f, 8.95447f);
		glVertex3f(-9.81766f, -1.06552f, 9.80850f);
		// Polygon # 574
		glVertex3f(-11.2212f, -1.06552f, 8.95447f);
		glVertex3f(-13.1122f, -1.73553f, 9.47205f);
		glVertex3f(-11.1581f, -1.73065f, 9.96765f);
		// Polygon # 575
		glVertex3f(-8.02399f, -1.06552f, 8.46756f);
		glVertex3f(-9.81766f, -1.06552f, 9.80850f);
		glVertex3f(-8.53607f, -1.06552f, 10.6627f);
		// Polygon # 576
		glVertex3f(-8.02399f, -1.06552f, 8.46756f);
		glVertex3f(-10.4404f, -1.06552f, 7.35931f);
		glVertex3f(-9.81766f, -1.06552f, 9.80850f);
		// Polygon # 577
		glVertex3f(-14.9461f, -1.74057f, 9.26086f);
		glVertex3f(-15.1884f, -1.74057f, -8.32184f);
		glVertex3f(-15.1884f, -1.74057f, 9.26086f);
		// Polygon # 578
		glVertex3f(-8.83682f, -1.06552f, 6.40610f);
		glVertex3f(-10.4404f, -1.06552f, 7.35931f);
		glVertex3f(-8.02399f, -1.06552f, 8.46756f);
		// Polygon # 579
		glVertex3f(-11.5482f, -1.06552f, 5.76340f);
		glVertex3f(-13.2019f, -1.06552f, 6.55319f);
		glVertex3f(-10.4404f, -1.06552f, 7.35931f);
		// Polygon # 580
		glVertex3f(-8.83682f, -1.06552f, 6.40610f);
		glVertex3f(-11.5482f, -1.06552f, 5.76340f);
		glVertex3f(-10.4404f, -1.06552f, 7.35931f);
		// Polygon # 581
		glVertex3f(-11.5482f, -1.06552f, 5.76340f);
		glVertex3f(-14.2595f, -1.06552f, 5.12070f);
		glVertex3f(-13.2019f, -1.06552f, 6.55319f);
		// Polygon # 582
		glVertex3f(-14.2595f, -1.06552f, 5.12070f);
		glVertex3f(-16.9708f, -1.06552f, 4.47800f);
		glVertex3f(-15.8340f, -1.06552f, 6.15021f);
		// Polygon # 583
		glVertex3f(-15.8340f, -1.06552f, 6.15021f);
		glVertex3f(-16.9708f, -1.06552f, 4.47800f);
		glVertex3f(-18.3829f, -1.06552f, 6.83014f);
		// Polygon # 584
		glVertex3f(-19.2448f, -1.06552f, 9.16779f);
		glVertex3f(-20.8829f, -1.06552f, 7.83524f);
		glVertex3f(-20.7104f, -1.06552f, 10.1727f);
		// Polygon # 585
		glVertex3f(-20.7104f, -1.06552f, 10.1727f);
		glVertex3f(-23.2104f, -1.06552f, 9.84528f);
		glVertex3f(-22.0035f, -1.06552f, 11.5797f);
		// Polygon # 586
		glVertex3f(-20.8829f, -1.06552f, 7.83524f);
		glVertex3f(-23.2104f, -1.06552f, 9.84528f);
		glVertex3f(-20.7104f, -1.06552f, 10.1727f);
		// Polygon # 587
		glVertex3f(-22.0035f, -1.06552f, 11.5797f);
		glVertex3f(-24.5897f, -1.06552f, 12.4583f);
		glVertex3f(-22.9518f, -1.06552f, 13.1879f);
		// Polygon # 588
		glVertex3f(-22.0035f, -1.06552f, 11.5797f);
		glVertex3f(-23.2104f, -1.06552f, 9.84528f);
		glVertex3f(-24.5897f, -1.06552f, 12.4583f);
		// Polygon # 589
		glVertex3f(-23.9862f, -1.06552f, 15.1979f);
		glVertex3f(-25.6242f, -1.06552f, 15.4733f);
		glVertex3f(-24.3311f, -1.06552f, 16.8059f);
		// Polygon # 590
		glVertex3f(-23.9862f, -1.06552f, 15.1979f);
		glVertex3f(-24.5897f, -1.06552f, 12.4583f);
		glVertex3f(-25.6242f, -1.06552f, 15.4733f);
		// Polygon # 591
		glVertex3f(-24.3311f, -1.06552f, 16.8059f);
		glVertex3f(-25.6242f, -1.06552f, 18.0864f);
		glVertex3f(-24.5035f, -1.06552f, 18.4140f);
		// Polygon # 592
		glVertex3f(-24.3311f, -1.06552f, 16.8059f);
		glVertex3f(-25.6242f, -1.06552f, 15.4733f);
		glVertex3f(-25.6242f, -1.06552f, 18.0864f);
		// Polygon # 593
		glVertex3f(-24.5035f, -1.06552f, 18.4140f);
		glVertex3f(-25.6242f, -1.06552f, 18.0864f);
		glVertex3f(-25.5081f, -1.29349f, 21.1839f);
		// Polygon # 594
		glVertex3f(-20.8829f, -1.06552f, 7.83524f);
		glVertex3f(-25.7484f, -1.06552f, 4.27246f);
		glVertex3f(-23.2104f, -1.06552f, 9.84528f);
		// Polygon # 595
		glVertex3f(-23.2104f, -1.06552f, 9.84528f);
		glVertex3f(-31.7830f, -1.06552f, 8.29254f);
		glVertex3f(-24.5897f, -1.06552f, 12.4583f);
		// Polygon # 596
		glVertex3f(-25.7484f, -1.06552f, 4.27246f);
		glVertex3f(-31.7830f, -1.06552f, 8.29254f);
		glVertex3f(-23.2104f, -1.06552f, 9.84528f);
		// Polygon # 597
		glVertex3f(-25.6242f, -1.06552f, 15.4733f);
		glVertex3f(-30.0589f, -1.06552f, 14.3228f);
		glVertex3f(-25.6242f, -1.06552f, 18.0864f);
		// Polygon # 598
		glVertex3f(-30.0589f, -1.06552f, 14.3228f);
		glVertex3f(-31.7830f, -1.06552f, 8.29254f);
		glVertex3f(-25.6242f, -1.06552f, 15.4733f);
		// Polygon # 599
		glVertex3f(-25.6242f, -1.06552f, 18.0864f);
		glVertex3f(-30.0589f, -1.06552f, 14.3228f);
		glVertex3f(-27.6450f, -1.06552f, 20.3529f);
		// Polygon # 600
		glVertex3f(-25.6242f, -1.06552f, 18.0864f);
		glVertex3f(-27.6450f, -1.06552f, 20.3529f);
		glVertex3f(-25.5081f, -1.29349f, 21.1839f);
		// Polygon # 601
		glVertex3f(-25.7484f, -1.06552f, 4.27246f);
		glVertex3f(-31.2657f, -1.06552f, -0.149689f);
		glVertex3f(-31.7830f, -1.06552f, 8.29254f);
		// Polygon # 602
		glVertex3f(-24.3692f, -1.06552f, -2.56165f);
		glVertex3f(-32.4727f, -1.06552f, -6.98380f);
		glVertex3f(-31.2657f, -1.06552f, -0.149689f);
		// Polygon # 603
		glVertex3f(-24.5416f, -1.06552f, -5.37567f);
		glVertex3f(-32.4727f, -1.06552f, -6.98380f);
		glVertex3f(-24.3692f, -1.06552f, -2.56165f);
		// Polygon # 604
		glVertex3f(-31.2657f, -1.06552f, -0.149689f);
		glVertex3f(-38.5071f, -1.06552f, 2.26242f);
		glVertex3f(-31.7830f, -1.06552f, 8.29254f);
		// Polygon # 605
		glVertex3f(-32.4727f, -1.06552f, -6.98380f);
		glVertex3f(-40.8331f, -1.06552f, -5.37582f);
		glVertex3f(-31.2657f, -1.06552f, -0.149689f);
		// Polygon # 606
		glVertex3f(-31.7830f, -1.06552f, 8.29254f);
		glVertex3f(-37.3001f, -1.06552f, 11.9107f);
		glVertex3f(-30.0589f, -1.06552f, 14.3228f);
		// Polygon # 607
		glVertex3f(-31.7830f, -1.06552f, 8.29254f);
		glVertex3f(-38.5071f, -1.06552f, 2.26242f);
		glVertex3f(-37.3001f, -1.06552f, 11.9107f);
		// Polygon # 608
		glVertex3f(-30.0589f, -1.06552f, 14.3228f);
		glVertex3f(-37.3001f, -1.06552f, 11.9107f);
		glVertex3f(-33.4196f, -1.06552f, 16.1319f);
		// Polygon # 609
		glVertex3f(-40.8331f, -1.06552f, -5.37582f);
		glVertex3f(-42.8174f, -1.06552f, -0.551605f);
		glVertex3f(-38.5071f, -1.06552f, 2.26242f);
		// Polygon # 610
		glVertex3f(-38.5071f, -1.06552f, 2.26242f);
		glVertex3f(-42.8174f, -1.06552f, -0.551605f);
		glVertex3f(-41.4381f, -1.06552f, 6.28250f);
		// Polygon # 611
		glVertex3f(-38.5071f, -1.06552f, 2.26242f);
		glVertex3f(-41.4381f, -1.06552f, 6.28250f);
		glVertex3f(-37.3001f, -1.06552f, 11.9107f);
		// Polygon # 612
		glVertex3f(-32.4727f, -1.06552f, -6.98380f);
		glVertex3f(-37.9898f, -1.06552f, -9.39590f);
		glVertex3f(-40.8331f, -1.06552f, -5.37582f);
		// Polygon # 613
		glVertex3f(-32.5755f, -1.06552f, -12.6091f);
		glVertex3f(-34.0244f, -1.06552f, -13.0139f);
		glVertex3f(-32.4727f, -1.06552f, -6.98380f);
		// Polygon # 614
		glVertex3f(-28.1406f, -1.06552f, -7.18185f);
		glVertex3f(-32.4727f, -1.06552f, -6.98380f);
		glVertex3f(-24.5416f, -1.06552f, -5.37567f);
		// Polygon # 615
		glVertex3f(-31.1546f, -1.06552f, -8.78998f);
		glVertex3f(-32.5755f, -1.06552f, -12.6091f);
		glVertex3f(-32.4727f, -1.06552f, -6.98380f);
		// Polygon # 616
		glVertex3f(-28.1406f, -1.06552f, -7.18185f);
		glVertex3f(-31.1546f, -1.06552f, -8.78998f);
		glVertex3f(-32.4727f, -1.06552f, -6.98380f);
		// Polygon # 617
		glVertex3f(-24.4807f, -1.06552f, -6.57883f);
		glVertex3f(-28.1406f, -1.06552f, -7.18185f);
		glVertex3f(-24.5416f, -1.06552f, -5.37567f);
		// Polygon # 618
		glVertex3f(-21.9093f, -1.06552f, -6.94519f);
		glVertex3f(-24.4807f, -1.06552f, -6.57883f);
		glVertex3f(-24.5416f, -1.06552f, -5.37567f);
		// Polygon # 619
		glVertex3f(-15.1884f, -1.74057f, -8.32184f);
		glVertex3f(-15.0227f, -0.796356f, -7.42355f);
		glVertex3f(-14.9461f, -1.74057f, 9.26086f);
		// Polygon # 620
		glVertex3f(-14.9461f, -1.74057f, -8.32184f);
		glVertex3f(-15.0227f, -0.796356f, -7.42355f);
		glVertex3f(-15.1884f, -1.74057f, -8.32184f);
		// Polygon # 621
		glVertex3f(-5.14175f, 0.201111f, -8.97644f);
		glVertex3f(-5.03799f, 0.398407f, 12.1509f);
		glVertex3f(-4.45938f, -0.160522f, 14.9077f);
		// Polygon # 622
		glVertex3f(-4.61578f, -0.160522f, -9.78775f);
		glVertex3f(-5.14175f, 0.201111f, -8.97644f);
		glVertex3f(-4.45938f, -0.160522f, 14.9077f);
		// Polygon # 623
		glVertex3f(-5.63934f, 0.584717f, -8.29819f);
		glVertex3f(-6.02951f, 0.584717f, 10.9619f);
		glVertex3f(-5.03799f, 0.398407f, 12.1509f);
		// Polygon # 624
		glVertex3f(-5.14175f, 0.201111f, -8.97644f);
		glVertex3f(-5.63934f, 0.584717f, -8.29819f);
		glVertex3f(-5.03799f, 0.398407f, 12.1509f);
		// Polygon # 625
		glVertex3f(-5.63934f, 0.584717f, -8.29819f);
		glVertex3f(-7.51465f, 0.584717f, -6.64978f);
		glVertex3f(-6.02951f, 0.584717f, 10.9619f);
		// Polygon # 626
		glVertex3f(-10.7874f, 0.584717f, -5.34821f);
		glVertex3f(-11.0414f, 0.584717f, 8.32458f);
		glVertex3f(-8.41782f, 0.584717f, 9.61304f);
		// Polygon # 627
		glVertex3f(-7.51465f, 0.584717f, -6.64978f);
		glVertex3f(-10.7874f, 0.584717f, -5.34821f);
		glVertex3f(-8.41782f, 0.584717f, 9.61304f);
		// Polygon # 628
		glVertex3f(-14.1138f, 0.584717f, -5.95459f);
		glVertex3f(-14.1138f, 0.584717f, 6.91040f);
		glVertex3f(-11.0414f, 0.584717f, 8.32458f);
		// Polygon # 629
		glVertex3f(-14.1138f, 0.584717f, 6.91040f);
		glVertex3f(-14.6922f, 0.492249f, -6.19171f);
		glVertex3f(-14.6922f, 0.365295f, 7.01141f);
		// Polygon # 630
		glVertex3f(-14.1138f, 0.584717f, -5.95459f);
		glVertex3f(-14.6922f, 0.492249f, -6.19171f);
		glVertex3f(-14.1138f, 0.584717f, 6.91040f);
		// Polygon # 631
		glVertex3f(-14.9402f, -0.0389099f, -6.69708f);
		glVertex3f(-14.6922f, 0.365295f, 7.01141f);
		glVertex3f(-14.9402f, -0.100403f, 7.58728f);
		// Polygon # 632
		glVertex3f(-14.6922f, 0.492249f, -6.19171f);
		glVertex3f(-14.6922f, 0.365295f, 7.01141f);
		glVertex3f(-14.9402f, -0.0389099f, -6.69708f);
		// Polygon # 633
		glVertex3f(-14.9402f, -0.0389099f, -6.69708f);
		glVertex3f(-14.9402f, -0.100403f, 7.58728f);
		glVertex3f(-15.0227f, -0.796356f, -7.42355f);
		// Polygon # 634
		glVertex3f(-15.0227f, -0.796356f, -7.42355f);
		glVertex3f(-15.0227f, -0.752411f, 8.40881f);
		glVertex3f(-14.9461f, -1.74057f, 9.26086f);
		// Polygon # 635
		glVertex3f(-14.9461f, -1.74057f, -8.32184f);
		glVertex3f(-15.0227f, -0.796356f, -7.42355f);
		glVertex3f(-14.9461f, -1.74057f, 9.26086f);
		// Polygon # 636
		glVertex3f(-12.0753f, 0.626373f, 7.68295f);
		glVertex3f(-12.0753f, -1.74057f, 9.57642f);
		glVertex3f(-12.3177f, -1.74057f, 9.57642f);
		// Polygon # 637
		glVertex3f(-12.0753f, 0.626373f, 7.68295f);
		glVertex3f(-12.3177f, 0.626373f, 7.68295f);
		glVertex3f(-12.3177f, -1.74057f, 9.57642f);
		// Polygon # 638
		glVertex3f(-12.3177f, 0.626373f, -5.53406f);
		glVertex3f(-12.3177f, 0.626373f, 7.68295f);
		glVertex3f(-12.3177f, -1.74057f, 9.57642f);
		// Polygon # 639
		glVertex3f(-12.3177f, -1.74057f, -7.35519f);
		glVertex3f(-12.3177f, 0.626373f, -5.53406f);
		glVertex3f(-12.3177f, -1.74057f, 9.57642f);
		// Polygon # 640
		glVertex3f(-12.0753f, -1.74057f, -7.35519f);
		glVertex3f(-12.3177f, -1.74057f, -7.35519f);
		glVertex3f(-12.3177f, -1.74057f, 9.57642f);
		// Polygon # 641
		glVertex3f(-12.0753f, -1.74057f, -7.35519f);
		glVertex3f(-12.0753f, 0.626373f, -5.53406f);
		glVertex3f(-12.0753f, -1.74057f, 9.57642f);
		// Polygon # 642
		glVertex3f(-6.28586f, 0.626373f, 10.5231f);
		glVertex3f(-6.28586f, -1.74057f, 12.4165f);
		glVertex3f(-6.52817f, -1.74057f, 12.4165f);
		// Polygon # 643
		glVertex3f(-6.28586f, -1.74057f, 12.4165f);
		glVertex3f(-6.28586f, -1.74057f, -9.49738f);
		glVertex3f(-6.52817f, -1.74057f, 12.4165f);
		// Polygon # 644
		glVertex3f(-6.28586f, 0.626373f, -7.28821f);
		glVertex3f(-6.28586f, 0.626373f, 10.5231f);
		glVertex3f(-6.28586f, -1.74057f, 12.4165f);
		// Polygon # 645
		glVertex3f(-6.28586f, 0.626373f, 10.5231f);
		glVertex3f(-6.52817f, 0.626373f, 10.5231f);
		glVertex3f(-6.52817f, -1.74057f, 12.4165f);
		// Polygon # 646
		glVertex3f(-6.52817f, 0.626373f, -7.28821f);
		glVertex3f(-6.52817f, 0.626373f, 10.5231f);
		glVertex3f(-6.52817f, -1.74057f, 12.4165f);
		// Polygon # 647
		glVertex3f(-6.52817f, -1.74057f, -9.49738f);
		glVertex3f(-6.52817f, 0.626373f, -7.28821f);
		glVertex3f(-6.52817f, -1.74057f, 12.4165f);
		// Polygon # 648
		glVertex3f(-6.28586f, -1.74057f, -9.49738f);
		glVertex3f(-6.52817f, -1.74057f, -9.49738f);
		glVertex3f(-6.52817f, -1.74057f, 12.4165f);
		// Polygon # 649
		glVertex3f(-9.15665f, -1.74057f, 10.9175f);
		glVertex3f(-9.15665f, -1.74057f, -7.74933f);
		glVertex3f(-9.39896f, -1.74057f, 10.9175f);
		// Polygon # 650
		glVertex3f(-9.15665f, 0.626373f, 9.02405f);
		glVertex3f(-9.39896f, 0.626373f, 9.02405f);
		glVertex3f(-9.39896f, -1.74057f, 10.9175f);
		// Polygon # 651
		glVertex3f(-9.39896f, 0.626373f, -5.72449f);
		glVertex3f(-9.39896f, 0.626373f, 9.02405f);
		glVertex3f(-9.39896f, -1.74057f, 10.9175f);
		// Polygon # 652
		glVertex3f(-9.39896f, -1.74057f, -7.74933f);
		glVertex3f(-9.39896f, 0.626373f, -5.72449f);
		glVertex3f(-9.39896f, -1.74057f, 10.9175f);
		// Polygon # 653
		glVertex3f(-9.15665f, 0.626373f, -5.72449f);
		glVertex3f(-9.15665f, 0.626373f, 9.02405f);
		glVertex3f(-9.15665f, -1.74057f, 10.9175f);
		// Polygon # 654
		glVertex3f(-9.15665f, -1.74057f, -7.74933f);
		glVertex3f(-9.15665f, 0.626373f, -5.72449f);
		glVertex3f(-9.15665f, -1.74057f, 10.9175f);
		// Polygon # 655
		glVertex3f(-9.15665f, 0.626373f, -5.72449f);
		glVertex3f(-9.15665f, 0.626373f, 9.02405f);
		glVertex3f(-9.39896f, 0.626373f, 9.02405f);
		// Polygon # 656
		glVertex3f(-9.15665f, 0.626373f, -5.72449f);
		glVertex3f(-9.39896f, 0.626373f, -5.72449f);
		glVertex3f(-9.39896f, 0.626373f, 9.02405f);
		// Polygon # 657
		glVertex3f(-6.28586f, 0.626373f, -7.28821f);
		glVertex3f(-6.52817f, 0.626373f, -7.28821f);
		glVertex3f(-6.52817f, 0.626373f, 10.5231f);
		// Polygon # 658
		glVertex3f(-12.0753f, 0.626373f, -5.53406f);
		glVertex3f(-12.0753f, 0.626373f, 7.68295f);
		glVertex3f(-12.3177f, 0.626373f, 7.68295f);
		// Polygon # 659
		glVertex3f(-12.0753f, 0.626373f, -5.53406f);
		glVertex3f(-12.3177f, 0.626373f, -5.53406f);
		glVertex3f(-12.3177f, 0.626373f, 7.68295f);
		// Polygon # 660
		glVertex3f(-12.0753f, 0.626373f, -5.53406f);
		glVertex3f(-12.3177f, 0.626373f, -5.53406f);
		glVertex3f(-12.3177f, -1.74057f, -7.35519f);
		// Polygon # 661
		glVertex3f(-6.28586f, 0.626373f, -7.28821f);
		glVertex3f(-6.52817f, 0.626373f, -7.28821f);
		glVertex3f(-6.52817f, -1.74057f, -9.49738f);
		// Polygon # 662
		glVertex3f(-6.28586f, -1.74057f, -9.49738f);
		glVertex3f(-6.28586f, 0.626373f, -7.28821f);
		glVertex3f(-6.52817f, -1.74057f, -9.49738f);
		// Polygon # 663
		glVertex3f(-9.15665f, 0.626373f, -5.72449f);
		glVertex3f(-9.39896f, 0.626373f, -5.72449f);
		glVertex3f(-9.39896f, -1.74057f, -7.74933f);
		// Polygon # 664
		glVertex3f(-9.15665f, -1.74057f, -7.74933f);
		glVertex3f(-9.15665f, 0.626373f, -5.72449f);
		glVertex3f(-9.39896f, -1.74057f, -7.74933f);
		// Polygon # 665
		glVertex3f(-3.73459f, -1.68396f, -12.5491f);
		glVertex3f(-3.97324f, -1.81732f, -12.5491f);
		glVertex3f(-3.93753f, -0.737152f, -10.9599f);
		// Polygon # 666
		glVertex3f(1.42426f, 4.17755f, 6.07422f);
		glVertex3f(-0.0352478f, 4.39560f, 2.66235f);
		glVertex3f(-0.0352478f, 4.57321f, 6.07422f);
		// Polygon # 667
		glVertex3f(1.06140f, 3.99994f, 2.66235f);
		glVertex3f(-0.0352478f, 4.39560f, 2.66235f);
		glVertex3f(1.42426f, 4.17755f, 6.07422f);
		// Polygon # 668
		glVertex3f(0.698700f, 3.82248f, -0.749359f);
		glVertex3f(-0.0352478f, 4.21814f, -0.749359f);
		glVertex3f(1.06140f, 3.99994f, 2.66235f);
	glEnd();

	// Material attributes for surface 'icp7 greenish b'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.705882f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 669
	glBegin(GL_TRIANGLES);
		glVertex3f(1.42426f, 2.62939f, 13.1590f);
		glVertex3f(-0.0352478f, 3.79913f, 9.61655f);
		glVertex3f(-0.0352478f, 3.02505f, 13.1590f);
		// Polygon # 670
		glVertex3f(1.42426f, 3.40347f, 9.61655f);
		glVertex3f(-0.0352478f, 3.79913f, 9.61655f);
		glVertex3f(1.42426f, 2.62939f, 13.1590f);
		// Polygon # 671
		glVertex3f(1.42426f, 2.62939f, 13.1590f);
		glVertex3f(-0.0352478f, 3.02505f, 13.1590f);
		glVertex3f(-0.0352478f, 1.83243f, 15.6235f);
		// Polygon # 672
		glVertex3f(1.42426f, 1.43677f, 15.6235f);
		glVertex3f(1.42426f, 2.62939f, 13.1590f);
		glVertex3f(-0.0352478f, 1.83243f, 15.6235f);
	glEnd();

	// Material attributes for surface 'icp7 blue 0'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.0199203f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 673
	glBegin(GL_TRIANGLES);
		glVertex3f(1.47858f, 2.68463f, 13.1383f);
		glVertex3f(1.47858f, 2.71362f, 12.9712f);
		glVertex3f(-0.0352478f, 3.08029f, 13.1383f);
		// Polygon # 674
		glVertex3f(1.47858f, 2.74261f, 12.8043f);
		glVertex3f(-0.0352478f, 3.13828f, 12.8043f);
		glVertex3f(-0.0352478f, 3.10928f, 12.9712f);
		// Polygon # 675
		glVertex3f(1.47858f, 2.71362f, 12.9712f);
		glVertex3f(1.47858f, 2.74261f, 12.8043f);
		glVertex3f(-0.0352478f, 3.10928f, 12.9712f);
		// Polygon # 676
		glVertex3f(-0.0352478f, 4.57321f, 6.07422f);
		glVertex3f(-1.13190f, 3.99994f, 2.66235f);
		glVertex3f(-1.49475f, 4.17755f, 6.07422f);
		// Polygon # 677
		glVertex3f(-0.0352478f, 4.39560f, 2.66235f);
		glVertex3f(-0.769196f, 3.82248f, -0.749359f);
		glVertex3f(-1.13190f, 3.99994f, 2.66235f);
	glEnd();

	// Material attributes for surface 'icp7 greenish b'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.705882f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 678
	glBegin(GL_TRIANGLES);
		glVertex3f(-0.0352478f, 0.639954f, 18.0879f);
		glVertex3f(-0.0352478f, 1.83243f, 15.6235f);
		glVertex3f(-1.49475f, 0.244293f, 18.0879f);
		// Polygon # 679
		glVertex3f(-0.0352478f, 1.83243f, 15.6235f);
		glVertex3f(-1.49475f, 1.43677f, 15.6235f);
		glVertex3f(-1.49475f, 0.244293f, 18.0879f);
		// Polygon # 680
		glVertex3f(-0.0352478f, 3.02505f, 13.1590f);
		glVertex3f(-1.49475f, 2.62939f, 13.1590f);
		glVertex3f(-1.49475f, 1.43677f, 15.6235f);
		// Polygon # 681
		glVertex3f(-0.0352478f, 4.57321f, 6.07422f);
		glVertex3f(-1.49475f, 4.17755f, 6.07422f);
		glVertex3f(-0.0352478f, 3.79913f, 9.61655f);
		// Polygon # 682
		glVertex3f(-0.0352478f, 3.79913f, 9.61655f);
		glVertex3f(-1.49475f, 4.17755f, 6.07422f);
		glVertex3f(-1.49475f, 3.40347f, 9.61655f);
	glEnd();

	// Material attributes for surface 'icp7 blue 0'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.0199203f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 683
	glBegin(GL_TRIANGLES);
		glVertex3f(-0.0352478f, 3.08029f, 13.1383f);
		glVertex3f(-0.0352478f, 3.10928f, 12.9712f);
		glVertex3f(-1.54907f, 2.68463f, 13.1383f);
		// Polygon # 684
		glVertex3f(-0.0352478f, 3.10928f, 12.9712f);
		glVertex3f(-1.54907f, 2.71362f, 12.9712f);
		glVertex3f(-1.54907f, 2.68463f, 13.1383f);
		// Polygon # 685
		glVertex3f(-0.0352478f, 4.39560f, 2.66235f);
		glVertex3f(-1.13190f, 3.99994f, 2.66235f);
		glVertex3f(-0.0352478f, 4.57321f, 6.07422f);
		// Polygon # 686
		glVertex3f(1.47858f, 2.71362f, 12.9712f);
		glVertex3f(-0.0352478f, 3.10928f, 12.9712f);
		glVertex3f(-0.0352478f, 3.08029f, 13.1383f);
	glEnd();

	// Material attributes for surface 'icp7 greenish b'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.705882f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 687
	glBegin(GL_TRIANGLES);
		glVertex3f(1.42426f, 1.43677f, 15.6235f);
		glVertex3f(-0.0352478f, 1.83243f, 15.6235f);
		glVertex3f(-0.0352478f, 0.639954f, 18.0879f);
		// Polygon # 688
		glVertex3f(1.42426f, 3.40347f, 9.61655f);
		glVertex3f(-0.0352478f, 4.57321f, 6.07422f);
		glVertex3f(-0.0352478f, 3.79913f, 9.61655f);
		// Polygon # 689
		glVertex3f(-0.0352478f, 1.83243f, 15.6235f);
		glVertex3f(-0.0352478f, 3.02505f, 13.1590f);
		glVertex3f(-1.49475f, 1.43677f, 15.6235f);
	glEnd();

	// Material attributes for surface 'icp7 blue 0'
	OGL_Set_Current_Material_Parameters(0.000000f, 0.000000f, 0.0199203f, 1.00000f, 0.000000f, 0.000000f, 0.000000f);

	// Polygon # 690
	glBegin(GL_TRIANGLES);
		glVertex3f(1.06140f, 3.99994f, 2.66235f);
		glVertex3f(-0.0352478f, 4.21814f, -0.749359f);
		glVertex3f(-0.0352478f, 4.39560f, 2.66235f);
		// Polygon # 691
		glVertex3f(-0.0352478f, 3.10928f, 12.9712f);
		glVertex3f(-0.0352478f, 3.13828f, 12.8043f);
		glVertex3f(-1.54907f, 2.71362f, 12.9712f);
	glEnd();
}	// End of polygons for object 'ICP7'
