#ifndef MAIN_H
#define MAIN_H 1

#include <GL/glut.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>

//#define SHADE_MODE		GL_FLAT
#define SHADE_MODE		GL_SMOOTH
#define TUNNEL_SIDES	10
#define ADD_SIDE_DELAY	4
#define TUNNEL_RADIUS	3
#define TIMER_VALUE		0
#define TUNNEL_LENGTH	24
#define STRIP_DEPTH		1
#define FOG_DENSITY		0.01
#define TURN_RATE		7
#define	WINDOW_X		640
#define WINDOW_Y		480
#define MAX_BAD_GUYS	25
#define MAX_SHOTS		20
#define SHOT_SPEED		0.6
#define BADGUY_THRESH	0.99
#define BADGUY_HARDER	0.0001

#define HIT_TOL_ZROT	7
#define HIT_TOL_ZLOC	2

#define QUIT			'q'
#define RECENTER		'c'
#define GOLEFT			'z'
#define GORIGHT			'x'
#define FIRE			' '
#define	GOLEFT_SPECIAL	GLUT_KEY_LEFT
#define GORIGHT_SPECIAL	GLUT_KEY_RIGHT
#define RECENTER_SPECIAL	GLUT_KEY_DOWN

extern int frame;
extern float rotz;

#endif
