#ifndef SHOTCONTROLLER_H
#define SHOTCONTROLLER_H 1

#include "main.h"
#include "shot.h"
#include "tunnelqueue.h"

class ShotController;

class ShotController
	{
	public:
	ShotController( TunnelQueue * newqueue )
		{
		tunnelQueue = newqueue;
				
		for ( int i=0; i< MAX_SHOTS; i++ )
			{
			shots[i] = NULL;		
			shotids[i] = -1;
			}
				
		currentShot = 0;
		}
	
	void update();
	void fire();

	int isCollision( float objx, float objy, float objz );

	private:
	Shot * shots[MAX_SHOTS];
	int shotids[MAX_SHOTS];
	int currentShot;
	TunnelQueue * tunnelQueue;
	};

#endif
