//
// OpenGL C Code file: H:\487proj\aship.c
//
// Converted by the PolyTrans geometry converter from Okino Computer Graphics, Inc.
// Date/time of export: 12/17/1999 00:08:44
//
// Bounding box of geometry = (-113.361,-46.4182,-59.3476) to (115.932,28.3235,154.798).

#include "aship.h"

// This is a general routine to make a new material active
void OGL_Set_Current_Material_Parameters(float shininess, float r_diffuseColor, float g_diffuseColor, float b_diffuseColor, float r_specularColor, float g_specularColor, float b_specularColor)
{
	GLfloat glfModelSpecular[4];

	// This causes the polygon's ambient & diffuse colors to be derived from the glColor() value.
	glColorMaterial(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE);
	glMaterialf(GL_FRONT_AND_BACK, GL_SHININESS, shininess);
	/* Set the specular shading color. */
	glfModelSpecular[0] = r_specularColor;
	glfModelSpecular[1] = g_specularColor;
	glfModelSpecular[2] = b_specularColor;
	glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, glfModelSpecular);
	glColor3f(r_diffuseColor, g_diffuseColor, b_diffuseColor);
}

// Please replace this routine with one of your own which will load in the
// requested texture map and make it current within the OpenGL context.
// If the texture map name is NULL then disable texture mapping.
void OGL_Set_Current_Texture_Map(char *texture_map_name, float u_scale, float v_scale, float u_offset, float v_offset)
{
}

// Camera parameters:
//	Look-from = (20, 15, 20)
//	Look-at = (0, 0, 0)
//	Look-up = (0, 1, 0)
//	Clipping, near = 0.01, far = 1e+006
//	Field-of-view = 0.489957, image-aspect-ratio = 1.33333
//	Window size = (0.666667, 0.5), focal-distance = 10

// Current light source name = "defaultambient"
//	Light = Ambient
//	color = (1, 1, 1)
//	intensity = 1

// Polygons for object 'BOX01' (10 polygons)

	void
BOX01()
{
	// Material attributes for surface 'default'
	//OGL_Set_Current_Material_Parameters(32.0000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f);

	//OGL_Set_Current_Texture_Map("", 1.0, 1.0, 0.0, 0.0); // Disable last texture map output

	// Polygon # 0
	glBegin(GL_TRIANGLES);
		glNormal3f(0.000000f, -1.00000f, 0.000000f);
		glVertex3f(-55.1546f, 0.000000f, 77.8350f);
		glNormal3f(0.000000f, -1.00000f, 0.000000f);
		glVertex3f(-55.1546f, 0.000000f, -58.2474f);
		glNormal3f(0.000000f, -1.00000f, 0.000000f);
		glVertex3f(56.1856f, 0.000000f, -58.2474f);
		// Polygon # 1
		glNormal3f(0.000000f, -1.00000f, 0.000000f);
		glVertex3f(56.1856f, 0.000000f, -58.2474f);
		glNormal3f(0.000000f, -1.00000f, 0.000000f);
		glVertex3f(56.1856f, 0.000000f, 77.8350f);
		glNormal3f(0.000000f, -1.00000f, 0.000000f);
		glVertex3f(-55.1546f, 0.000000f, 77.8350f);
		// Polygon # 2
		glNormal3f(0.000000f, 1.00000f, 0.000000f);
		glVertex3f(-38.4536f, 27.8351f, 77.8350f);
		glNormal3f(0.000000f, 1.00000f, 0.000000f);
		glVertex3f(39.4845f, 27.8351f, 77.8350f);
		glNormal3f(0.000000f, 1.00000f, 0.000000f);
		glVertex3f(39.4845f, 27.8351f, -58.2474f);
		// Polygon # 3
		glNormal3f(0.000000f, 1.00000f, 0.000000f);
		glVertex3f(39.4845f, 27.8351f, -58.2474f);
		glNormal3f(0.000000f, 1.00000f, 0.000000f);
		glVertex3f(-38.4536f, 27.8351f, -58.2474f);
		glNormal3f(0.000000f, 1.00000f, 0.000000f);
		glVertex3f(-38.4536f, 27.8351f, 77.8350f);
		// Polygon # 4
		glNormal3f(0.000000f, 0.000000f, 1.00000f);
		glVertex3f(-55.1546f, 0.000000f, 77.8350f);
		glNormal3f(0.000000f, 0.000000f, 1.00000f);
		glVertex3f(56.1856f, 0.000000f, 77.8350f);
		glNormal3f(0.000000f, 0.000000f, 1.00000f);
		glVertex3f(39.4845f, 27.8351f, 77.8350f);
		// Polygon # 5
		glNormal3f(0.857493f, 0.514496f, 0.000000f);
		glVertex3f(56.1856f, 0.000000f, 77.8350f);
		glNormal3f(0.857493f, 0.514496f, 0.000000f);
		glVertex3f(56.1856f, 0.000000f, -58.2474f);
		glNormal3f(0.857493f, 0.514496f, 0.000000f);
		glVertex3f(39.4845f, 27.8351f, -58.2474f);
		// Polygon # 6
		glNormal3f(0.857493f, 0.514496f, 0.000000f);
		glVertex3f(39.4845f, 27.8351f, -58.2474f);
		glNormal3f(0.857493f, 0.514496f, 0.000000f);
		glVertex3f(39.4845f, 27.8351f, 77.8350f);
		glNormal3f(0.857493f, 0.514496f, 0.000000f);
		glVertex3f(56.1856f, 0.000000f, 77.8350f);
		// Polygon # 7
		glNormal3f(0.000000f, 0.000000f, -1.00000f);
		glVertex3f(56.1856f, 0.000000f, -58.2474f);
		glNormal3f(0.000000f, 0.000000f, -1.00000f);
		glVertex3f(-55.1546f, 0.000000f, -58.2474f);
		glNormal3f(0.000000f, 0.000000f, -1.00000f);
		glVertex3f(-38.4536f, 27.8351f, -58.2474f);
		// Polygon # 8
		glNormal3f(0.000000f, 0.000000f, -1.00000f);
		glVertex3f(-38.4536f, 27.8351f, -58.2474f);
		glNormal3f(0.000000f, 0.000000f, -1.00000f);
		glVertex3f(39.4845f, 27.8351f, -58.2474f);
		glNormal3f(0.000000f, 0.000000f, -1.00000f);
		glVertex3f(56.1856f, 0.000000f, -58.2474f);
		// Polygon # 9
		glNormal3f(-0.857493f, 0.514496f, 0.000000f);
		glVertex3f(-38.4536f, 27.8351f, 77.8350f);
		glNormal3f(-0.857493f, 0.514496f, 0.000000f);
		glVertex3f(-38.4536f, 27.8351f, -58.2474f);
		glNormal3f(-0.857493f, 0.514496f, 0.000000f);
		glVertex3f(-55.1546f, 0.000000f, -58.2474f);
	glEnd();
}	// End of polygons for object 'BOX01'

// Polygons for object 'BOX02' (10 polygons)

	void
BOX02()
{
	// Material attributes for surface 'default'
	//OGL_Set_Current_Material_Parameters(32.0000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f);

	//OGL_Set_Current_Texture_Map("", 1.0, 1.0, 0.0, 0.0); // Disable last texture map output

	// Polygon # 0
	glBegin(GL_TRIANGLES);
		glNormal3f(-0.566155f, -0.824299f, 4.56114e-008f);
		glVertex3f(44.9786f, -0.892378f, 48.4756f);
		glNormal3f(-0.566155f, -0.824299f, 4.56114e-008f);
		glVertex3f(44.9786f, -0.892378f, -57.5759f);
		glNormal3f(-0.566155f, -0.824299f, 4.56114e-008f);
		glVertex3f(111.262f, -46.4182f, -35.0295f);
		// Polygon # 1
		glNormal3f(-0.566155f, -0.824299f, 4.56114e-008f);
		glVertex3f(111.262f, -46.4182f, -35.0295f);
		glNormal3f(-0.566155f, -0.824299f, 4.56114e-008f);
		glVertex3f(111.262f, -46.4182f, 25.9292f);
		glNormal3f(-0.566155f, -0.824299f, 4.56114e-008f);
		glVertex3f(44.9786f, -0.892378f, 48.4756f);
		// Polygon # 2
		glNormal3f(0.607628f, 0.794222f, -3.78617e-009f);
		glVertex3f(51.9826f, 9.30513f, 48.4756f);
		glNormal3f(0.607628f, 0.794222f, -3.78617e-009f);
		glVertex3f(115.932f, -39.6199f, 25.9292f);
		glNormal3f(0.607628f, 0.794222f, -3.78617e-009f);
		glVertex3f(115.932f, -39.6199f, -35.0295f);
		// Polygon # 3
		glNormal3f(0.607628f, 0.794222f, -3.78617e-009f);
		glVertex3f(115.932f, -39.6199f, -35.0295f);
		glNormal3f(0.607628f, 0.794222f, -3.78617e-009f);
		glVertex3f(51.9826f, 9.30514f, -57.5759f);
		glNormal3f(0.607628f, 0.794222f, -3.78617e-009f);
		glVertex3f(51.9826f, 9.30513f, 48.4756f);
		// Polygon # 4
		glNormal3f(0.222539f, -0.152847f, 0.962868f);
		glVertex3f(44.9786f, -0.892378f, 48.4756f);
		glNormal3f(0.222539f, -0.152847f, 0.962868f);
		glVertex3f(111.262f, -46.4182f, 25.9292f);
		glNormal3f(0.222539f, -0.152847f, 0.962868f);
		glVertex3f(115.932f, -39.6199f, 25.9292f);
		// Polygon # 5
		glNormal3f(0.824299f, -0.566154f, -5.15832e-008f);
		glVertex3f(111.262f, -46.4182f, 25.9292f);
		glNormal3f(0.824299f, -0.566154f, -5.15832e-008f);
		glVertex3f(111.262f, -46.4182f, -35.0295f);
		glNormal3f(0.824299f, -0.566154f, -5.15832e-008f);
		glVertex3f(115.932f, -39.6199f, -35.0295f);
		// Polygon # 6
		glNormal3f(0.824299f, -0.566154f, -5.15832e-008f);
		glVertex3f(115.932f, -39.6199f, -35.0295f);
		glNormal3f(0.824299f, -0.566154f, -5.15832e-008f);
		glVertex3f(115.932f, -39.6199f, 25.9292f);
		glNormal3f(0.824299f, -0.566154f, -5.15832e-008f);
		glVertex3f(111.262f, -46.4182f, 25.9292f);
		// Polygon # 7
		glNormal3f(0.222539f, -0.152847f, -0.962868f);
		glVertex3f(111.262f, -46.4182f, -35.0295f);
		glNormal3f(0.222539f, -0.152847f, -0.962868f);
		glVertex3f(44.9786f, -0.892378f, -57.5759f);
		glNormal3f(0.222539f, -0.152847f, -0.962868f);
		glVertex3f(51.9826f, 9.30514f, -57.5759f);
		// Polygon # 8
		glNormal3f(0.222539f, -0.152847f, -0.962868f);
		glVertex3f(51.9826f, 9.30514f, -57.5759f);
		glNormal3f(0.222539f, -0.152847f, -0.962868f);
		glVertex3f(115.932f, -39.6199f, -35.0295f);
		glNormal3f(0.222539f, -0.152847f, -0.962868f);
		glVertex3f(111.262f, -46.4182f, -35.0295f);
		// Polygon # 9
		glNormal3f(-0.824299f, 0.566155f, 3.47414e-008f);
		glVertex3f(51.9826f, 9.30513f, 48.4756f);
		glNormal3f(-0.824299f, 0.566155f, 3.47414e-008f);
		glVertex3f(51.9826f, 9.30514f, -57.5759f);
		glNormal3f(-0.824299f, 0.566155f, 3.47414e-008f);
		glVertex3f(44.9786f, -0.892378f, -57.5759f);
	glEnd();
}	// End of polygons for object 'BOX02'

// Polygons for object 'BOX03' (10 polygons)

	void
BOX03()
{
	// Material attributes for surface 'default'
	//OGL_Set_Current_Material_Parameters(32.0000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f);

	//OGL_Set_Current_Texture_Map("", 1.0, 1.0, 0.0, 0.0); // Disable last texture map output

	// Polygon # 0
	glBegin(GL_TRIANGLES);
		glNormal3f(9.78181e-009f, -0.920584f, -0.390544f);
		glVertex3f(-28.3820f, -31.2703f, 149.365f);
		glNormal3f(9.78181e-009f, -0.920584f, -0.390544f);
		glVertex3f(-55.5796f, 3.45972f, 67.4994f);
		glNormal3f(9.78181e-009f, -0.920584f, -0.390544f);
		glVertex3f(56.6105f, 3.45972f, 67.4994f);
		// Polygon # 1
		glNormal3f(9.78181e-009f, -0.920584f, -0.390544f);
		glVertex3f(56.6105f, 3.45972f, 67.4994f);
		glNormal3f(9.78181e-009f, -0.920584f, -0.390544f);
		glVertex3f(29.4129f, -31.2703f, 149.365f);
		glNormal3f(9.78181e-009f, -0.920584f, -0.390544f);
		glVertex3f(-28.3820f, -31.2703f, 149.365f);
		// Polygon # 2
		glNormal3f(0.000000f, 0.853866f, 0.520493f);
		glVertex3f(-20.0017f, -18.4617f, 154.798f);
		glNormal3f(0.000000f, 0.853866f, 0.520493f);
		glVertex3f(21.0327f, -18.4617f, 154.798f);
		glNormal3f(0.000000f, 0.853866f, 0.520493f);
		glVertex3f(40.3430f, 28.3235f, 78.0475f);
		// Polygon # 3
		glNormal3f(0.000000f, 0.853866f, 0.520493f);
		glVertex3f(40.3430f, 28.3235f, 78.0475f);
		glNormal3f(0.000000f, 0.853866f, 0.520493f);
		glVertex3f(-39.3120f, 28.3235f, 78.0475f);
		glNormal3f(0.000000f, 0.853866f, 0.520493f);
		glVertex3f(-20.0017f, -18.4617f, 154.798f);
		// Polygon # 4
		glNormal3f(0.000000f, -0.390544f, 0.920584f);
		glVertex3f(-28.3820f, -31.2703f, 149.365f);
		glNormal3f(0.000000f, -0.390544f, 0.920584f);
		glVertex3f(29.4129f, -31.2703f, 149.365f);
		glNormal3f(0.000000f, -0.390544f, 0.920584f);
		glVertex3f(21.0327f, -18.4617f, 154.798f);
		// Polygon # 5
		glNormal3f(0.828653f, 0.360490f, 0.428231f);
		glVertex3f(29.4129f, -31.2703f, 149.365f);
		glNormal3f(0.828653f, 0.360490f, 0.428231f);
		glVertex3f(56.6105f, 3.45972f, 67.4994f);
		glNormal3f(0.828653f, 0.360490f, 0.428231f);
		glVertex3f(40.3430f, 28.3235f, 78.0475f);
		// Polygon # 6
		glNormal3f(0.828653f, 0.360490f, 0.428231f);
		glVertex3f(40.3430f, 28.3235f, 78.0475f);
		glNormal3f(0.828653f, 0.360490f, 0.428231f);
		glVertex3f(21.0327f, -18.4617f, 154.798f);
		glNormal3f(0.828653f, 0.360490f, 0.428231f);
		glVertex3f(29.4129f, -31.2703f, 149.365f);
		// Polygon # 7
		glNormal3f(-4.14978e-009f, 0.390544f, -0.920584f);
		glVertex3f(56.6105f, 3.45972f, 67.4994f);
		glNormal3f(-4.14978e-009f, 0.390544f, -0.920584f);
		glVertex3f(-55.5796f, 3.45972f, 67.4994f);
		glNormal3f(-4.14978e-009f, 0.390544f, -0.920584f);
		glVertex3f(-39.3120f, 28.3235f, 78.0475f);
		// Polygon # 8
		glNormal3f(-4.14978e-009f, 0.390544f, -0.920584f);
		glVertex3f(-39.3120f, 28.3235f, 78.0475f);
		glNormal3f(-4.14978e-009f, 0.390544f, -0.920584f);
		glVertex3f(40.3430f, 28.3235f, 78.0475f);
		glNormal3f(-4.14978e-009f, 0.390544f, -0.920584f);
		glVertex3f(56.6105f, 3.45972f, 67.4994f);
		// Polygon # 9
		glNormal3f(-0.828653f, 0.360490f, 0.428231f);
		glVertex3f(-20.0017f, -18.4617f, 154.798f);
		glNormal3f(-0.828653f, 0.360490f, 0.428231f);
		glVertex3f(-39.3120f, 28.3235f, 78.0475f);
		glNormal3f(-0.828653f, 0.360490f, 0.428231f);
		glVertex3f(-55.5796f, 3.45972f, 67.4994f);
	glEnd();
}	// End of polygons for object 'BOX03'

// Polygons for object 'BOX04' (10 polygons)

	void
BOX04()
{
	// Material attributes for surface 'default'
	//OGL_Set_Current_Material_Parameters(32.0000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f);

	//OGL_Set_Current_Texture_Map("", 1.0, 1.0, 0.0, 0.0); // Disable last texture map output

	// Polygon # 0
	glBegin(GL_TRIANGLES);
		glNormal3f(0.566154f, -0.824299f, 0.000429943f);
		glVertex3f(-42.3449f, -0.235350f, -59.3422f);
		glNormal3f(0.566154f, -0.824299f, 0.000429943f);
		glVertex3f(-42.4254f, -0.235350f, 46.7093f);
		glNormal3f(0.566154f, -0.824299f, 0.000429943f);
		glVertex3f(-108.692f, -45.7612f, 24.1126f);
		// Polygon # 1
		glNormal3f(0.566154f, -0.824299f, 0.000429943f);
		glVertex3f(-108.692f, -45.7612f, 24.1126f);
		glNormal3f(0.566154f, -0.824299f, 0.000429943f);
		glVertex3f(-108.646f, -45.7612f, -36.8462f);
		glNormal3f(0.566154f, -0.824299f, 0.000429943f);
		glVertex3f(-42.3449f, -0.235350f, -59.3422f);
		// Polygon # 2
		glNormal3f(-0.607628f, 0.794222f, -0.000461407f);
		glVertex3f(-49.3489f, 9.96216f, -59.3476f);
		glNormal3f(-0.607628f, 0.794222f, -0.000461407f);
		glVertex3f(-113.315f, -38.9628f, -36.8497f);
		glNormal3f(-0.607628f, 0.794222f, -0.000461407f);
		glVertex3f(-113.361f, -38.9628f, 24.1090f);
		// Polygon # 3
		glNormal3f(-0.607628f, 0.794222f, -0.000461407f);
		glVertex3f(-113.361f, -38.9628f, 24.1090f);
		glNormal3f(-0.607628f, 0.794222f, -0.000461407f);
		glVertex3f(-49.4294f, 9.96216f, 46.7040f);
		glNormal3f(-0.607628f, 0.794222f, -0.000461407f);
		glVertex3f(-49.3489f, 9.96216f, -59.3476f);
		// Polygon # 4
		glNormal3f(-0.221807f, -0.152847f, -0.963037f);
		glVertex3f(-42.3449f, -0.235350f, -59.3422f);
		glNormal3f(-0.221807f, -0.152847f, -0.963037f);
		glVertex3f(-108.646f, -45.7612f, -36.8462f);
		glNormal3f(-0.221807f, -0.152847f, -0.963037f);
		glVertex3f(-113.315f, -38.9628f, -36.8497f);
		// Polygon # 5
		glNormal3f(-0.824299f, -0.566155f, -0.000625963f);
		glVertex3f(-108.646f, -45.7612f, -36.8462f);
		glNormal3f(-0.824299f, -0.566155f, -0.000625963f);
		glVertex3f(-108.692f, -45.7612f, 24.1126f);
		glNormal3f(-0.824299f, -0.566155f, -0.000625963f);
		glVertex3f(-113.361f, -38.9628f, 24.1090f);
		// Polygon # 6
		glNormal3f(-0.824299f, -0.566155f, -0.000625963f);
		glVertex3f(-113.361f, -38.9628f, 24.1090f);
		glNormal3f(-0.824299f, -0.566155f, -0.000625963f);
		glVertex3f(-113.315f, -38.9628f, -36.8497f);
		glNormal3f(-0.824299f, -0.566155f, -0.000625963f);
		glVertex3f(-108.646f, -45.7612f, -36.8462f);
		// Polygon # 7
		glNormal3f(-0.223270f, -0.152847f, 0.962699f);
		glVertex3f(-108.692f, -45.7612f, 24.1126f);
		glNormal3f(-0.223270f, -0.152847f, 0.962699f);
		glVertex3f(-42.4254f, -0.235350f, 46.7093f);
		glNormal3f(-0.223270f, -0.152847f, 0.962699f);
		glVertex3f(-49.4294f, 9.96216f, 46.7040f);
		// Polygon # 8
		glNormal3f(-0.223270f, -0.152847f, 0.962699f);
		glVertex3f(-49.4294f, 9.96216f, 46.7040f);
		glNormal3f(-0.223270f, -0.152847f, 0.962699f);
		glVertex3f(-113.361f, -38.9628f, 24.1090f);
		glNormal3f(-0.223270f, -0.152847f, 0.962699f);
		glVertex3f(-108.692f, -45.7612f, 24.1126f);
		// Polygon # 9
		glNormal3f(0.824299f, 0.566155f, 0.000625940f);
		glVertex3f(-49.3489f, 9.96216f, -59.3476f);
		glNormal3f(0.824299f, 0.566155f, 0.000625940f);
		glVertex3f(-49.4294f, 9.96216f, 46.7040f);
		glNormal3f(0.824299f, 0.566155f, 0.000625940f);
		glVertex3f(-42.4254f, -0.235350f, 46.7093f);
	glEnd();
}	// End of polygons for object 'BOX04'

// Polygons for object 'BOX05' (10 polygons)

	void
BOX05()
{
	// Material attributes for surface 'default'
	//OGL_Set_Current_Material_Parameters(32.0000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f, 1.00000f);

	//OGL_Set_Current_Texture_Map("", 1.0, 1.0, 0.0, 0.0); // Disable last texture map output

	// Polygon # 0
	glBegin(GL_TRIANGLES);
		glNormal3f(1.84096e-008f, -0.843546f, -0.537057f);
		glVertex3f(-28.7699f, -6.54458f, 121.164f);
		glNormal3f(1.84096e-008f, -0.843546f, -0.537057f);
		glVertex3f(-35.8008f, 11.7264f, 92.4663f);
		glNormal3f(1.84096e-008f, -0.843546f, -0.537057f);
		glVertex3f(35.1476f, 11.7264f, 92.4663f);
		// Polygon # 1
		glNormal3f(1.84096e-008f, -0.843546f, -0.537057f);
		glVertex3f(35.1476f, 11.7264f, 92.4663f);
		glNormal3f(1.84096e-008f, -0.843546f, -0.537057f);
		glVertex3f(28.1167f, -6.54458f, 121.164f);
		glNormal3f(1.84096e-008f, -0.843546f, -0.537057f);
		glVertex3f(-28.7699f, -6.54458f, 121.164f);
		// Polygon # 2
		glNormal3f(-1.75891e-008f, 0.805953f, 0.591979f);
		glVertex3f(-28.7699f, 1.19517f, 126.092f);
		glNormal3f(-1.75891e-008f, 0.805953f, 0.591979f);
		glVertex3f(28.1167f, 1.19517f, 126.092f);
		glNormal3f(-1.75891e-008f, 0.805953f, 0.591979f);
		glVertex3f(35.1476f, 21.3794f, 98.6120f);
		// Polygon # 3
		glNormal3f(-1.75891e-008f, 0.805953f, 0.591979f);
		glVertex3f(35.1476f, 21.3794f, 98.6120f);
		glNormal3f(-1.75891e-008f, 0.805953f, 0.591979f);
		glVertex3f(-35.8008f, 21.3794f, 98.6120f);
		glNormal3f(-1.75891e-008f, 0.805953f, 0.591979f);
		glVertex3f(-28.7699f, 1.19517f, 126.092f);
		// Polygon # 4
		glNormal3f(9.00348e-009f, -0.537057f, 0.843546f);
		glVertex3f(-28.7699f, -6.54458f, 121.164f);
		glNormal3f(9.00348e-009f, -0.537057f, 0.843546f);
		glVertex3f(28.1167f, -6.54458f, 121.164f);
		glNormal3f(9.00348e-009f, -0.537057f, 0.843546f);
		glVertex3f(28.1167f, 1.19517f, 126.092f);
		// Polygon # 5
		glNormal3f(0.979305f, -0.108695f, 0.170725f);
		glVertex3f(28.1167f, -6.54458f, 121.164f);
		glNormal3f(0.979305f, -0.108695f, 0.170725f);
		glVertex3f(35.1476f, 11.7264f, 92.4663f);
		glNormal3f(0.979305f, -0.108695f, 0.170725f);
		glVertex3f(35.1476f, 21.3794f, 98.6120f);
		// Polygon # 6
		glNormal3f(0.979305f, -0.108695f, 0.170725f);
		glVertex3f(35.1476f, 21.3794f, 98.6120f);
		glNormal3f(0.979305f, -0.108695f, 0.170725f);
		glVertex3f(28.1167f, 1.19517f, 126.092f);
		glNormal3f(0.979305f, -0.108695f, 0.170725f);
		glVertex3f(28.1167f, -6.54458f, 121.164f);
		// Polygon # 7
		glNormal3f(-1.44380e-008f, 0.537057f, -0.843546f);
		glVertex3f(35.1476f, 11.7264f, 92.4663f);
		glNormal3f(-1.44380e-008f, 0.537057f, -0.843546f);
		glVertex3f(-35.8008f, 11.7264f, 92.4663f);
		glNormal3f(-1.44380e-008f, 0.537057f, -0.843546f);
		glVertex3f(-35.8008f, 21.3794f, 98.6120f);
		// Polygon # 8
		glNormal3f(-1.44380e-008f, 0.537057f, -0.843546f);
		glVertex3f(-35.8008f, 21.3794f, 98.6120f);
		glNormal3f(-1.44380e-008f, 0.537057f, -0.843546f);
		glVertex3f(35.1476f, 21.3794f, 98.6120f);
		glNormal3f(-1.44380e-008f, 0.537057f, -0.843546f);
		glVertex3f(35.1476f, 11.7264f, 92.4663f);
		// Polygon # 9
		glNormal3f(-0.979305f, -0.108695f, 0.170725f);
		glVertex3f(-28.7699f, 1.19517f, 126.092f);
		glNormal3f(-0.979305f, -0.108695f, 0.170725f);
		glVertex3f(-35.8008f, 21.3794f, 98.6120f);
		glNormal3f(-0.979305f, -0.108695f, 0.170725f);
		glVertex3f(-35.8008f, 11.7264f, 92.4663f);
	glEnd();
}	// End of polygons for object 'BOX05'
