#ifndef BADGUYCONTROLLER_H
#define BADGUYCONTROLLER_H 1

#include "main.h"
#include "tunnelqueue.h"
#include "drawable.h"
#include "badguy.h"
#include "shotcontroller.h"
#include "monster0.h"
#include "monster1.h"

class BadGuyController;

class BadGuyController
	{
	public:
	BadGuyController( TunnelQueue * newqueue, ShotController * newshotcont )
		{
		shotController = newshotcont;
		tunnelQueue = newqueue;
		currentId = 0;
		for ( int i = 0; i < MAX_BAD_GUYS; i++ )
			{
			badGuyIds[i] = -1;
			badGuys[i] = NULL;
			}
		}

	// Add monsters to tunnelQueue
	void update();

	ShotController * getShotController()
		{
		return shotController;
		}

	private:
	TunnelQueue * tunnelQueue;
	DrawableObj * badguy;
	ShotController * shotController;
	int badGuyIds[ MAX_BAD_GUYS ];
	BadGuy * badGuys[ MAX_BAD_GUYS ];
	int currentId;
	};

#endif
