#include "ship.h"
#include "aship.h"

extern int do_textures;
extern GLubyte Texture3[16][16][3];
extern GLubyte Texture2[128*128*3];

void Ship::draw()
	{
	glPushMatrix();
	
	//glTranslatef( 0, -1.1, -1.5 );
  	//glScalef(0.005, 0.005, 0.005);
	//glRotatef( frame, 1, 0, 0);
	//glRotatef( 180, 0, 1, 0);
	
	GLfloat spec[4];
	//glColorMaterial(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE);
	glMaterialf(GL_FRONT_AND_BACK, GL_SHININESS, 0.1);
	spec[0] = spec[1] = spec[2] = .1;
	spec[3] = 0;
	glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, spec);

	//glDisable(GL_TEXTURE_2D);
	glColor3f( 0, .0, .0 );
	BOX01();
	
	if (do_textures) 
		{
		glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER,
		GL_LINEAR_MIPMAP_LINEAR);
		gluBuild2DMipmaps(GL_TEXTURE_2D, 3, 128, 128,
		GL_RGB, GL_UNSIGNED_BYTE, Texture3);
		glEnable(GL_TEXTURE_2D);
		}
	//else glDisable(GL_TEXTURE_2D);
	glColor3f( .8, 0, .0 );
	BOX02();

	//glDisable(GL_TEXTURE_2D);
	glColor3f( 0, .8, .0 );
	BOX03();
	
	if (do_textures) 
		{
		glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER,
		GL_LINEAR_MIPMAP_LINEAR);
		gluBuild2DMipmaps(GL_TEXTURE_2D, 3, 128, 128,
		GL_RGB, GL_UNSIGNED_BYTE, Texture3);
		glEnable(GL_TEXTURE_2D);
		}
	//else glDisable(GL_TEXTURE_2D);
	glColor3f( .8, 0, .0 );
	BOX04();
	
	//glDisable(GL_TEXTURE_2D);
	glColor3f( 0, .8, .0 );
	BOX05();

	glDisable(GL_TEXTURE_2D);

	glPopMatrix();

	glPushMatrix();
	glColor3f( .8, .4, .4 );
	glTranslatef( 0, -1.1, 9.3 );
	glutSolidSphere(.3, 10, 10);
	
	glPopMatrix();

	}

