#ifndef TUNNEL_QUEUE_H
#define TUNNEL_QUEUE_H 1

#include "main.h"
#include "drawable.h"
#include "tunnelnode.h"

class TunnelQueue;

// tunnel queue state info
class TunnelQueue
	{
	public:
	TunnelQueue()
		{
		head = tail = NULL;
		currentIdnum = 0;
		zmove = 0;
		}

	int getIdnum()
		{
		return currentIdnum;
		}

	float getZMove()
		{
		return zmove;
		}
	
	int queue( DrawableObj * newcontents );
	void deQueue( int idnum );
	TunnelNode* getNode( int idnum, TunnelNode* node );
	void drawAll();

	private:
	void drawAll( TunnelNode * node );

	TunnelNode * head;
	TunnelNode * tail;
	int currentIdnum;
	float zmove;
	};

#endif
